---
layout: blog
week: 109
published: 2017-05-30 17:05:23
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday May 21 and
Saturday May 27 2017:


Past and upcoming events
------------------------

Bernhard M. Wiedemann gave a short talk on [reproducible builds in
openSUSE](https://events.opensuse.org/conference/oSC17/program/proposal/1236)
at the openSUSE Conference 2017. Slides and video recordings are available on
that page.

Chris Lamb will present at the [Hong Kong Open Source Conference 2017](http://hkoscon.org/2017/) on reproducible builds on June 9th.

Our next IRC meeting [has been scheduled for Thursday June 1 at 16:00 UTC](http://lists.reproducible-builds.org/pipermail/rb-general/2017-May/000492.html) with [this agenda](https://pad.riseup.net/p/reproducible-irc-meeting-9).

Academia
--------

Justin Cappos continued his work on the [reproducible builds
paper](https://github.com/JustinCappos/reproduciblebuildpaper), with
text and suggestions from Ximin Luo integrated.


Toolchain developments
----------------------

[#863470](https://bugs.debian.org/863470): "ftp.debian.org: security sync must not exclude .buildinfo" -
while this bug isn't fixed, you need to make sure not to build jessie updates
with stretch's dpkg, or else the upload will be rejected.

Ximin Luo [built GCC
twice](https://people.debian.org/~infinity0/repro/gcc-6-repro/) and ran
diffoscope on them. Unfortunately the results were 1.7 GB in size and it can't
be displayed in a web browser. 99/171 of the .debs are reproducible, though.
He's now working on diffoscope (see below) to make it generate output more
intelligently for such large size diffs. Here is a [summary
diff](https://people.debian.org/~infinity0/repro/gcc-6-repro/diff.html) where
the recursion depth cut-off was set low, so the size is reasonable and one can
still see the outlines of where to look next.

[debuerreotype](https://github.com/debuerreotype/debuerreotype/) was newly
added to Debian unstable. It is a reproducible, snapshot-based Debian rootfs
builder.


Patches and bugs filed
----------------------

* Adrian Bunk:
  * [#863202](https://bugs.debian.org/863202) filed against [adonthell-data](https://tracker.debian.org/pkg/adonthell-data).
  * [#863208](https://bugs.debian.org/863208) filed against [mash](https://tracker.debian.org/pkg/mash).
  * [#863414](https://bugs.debian.org/863414) filed against [coyim](https://tracker.debian.org/pkg/coyim).
* Chris Lamb:
  * [#863117](https://bugs.debian.org/863117) filed against [scilab](https://tracker.debian.org/pkg/scilab).
* James Clarke:
  * [#863493](https://bugs.debian.org/863493) filed against [symfony](https://tracker.debian.org/pkg/symfony).
* Justin Cappos:
  * Follow up about [#822197](https://bugs.debian.org/822197) against [sphinx](https://tracker.debian.org/pkg/sphinx).
* Bernhard M. Wiedemann:
  * [FBReader](https://github.com/geometer/FBReader/pull/295)
  * [hwinfo](https://github.com/openSUSE/hwinfo/pull/51)
  * [intel-cmt-cat](https://github.com/01org/intel-cmt-cat/pull/47)
  * [libtorrent](https://github.com/arvidn/libtorrent/pull/2040)
  * [mupdf](https://bugs.ghostscript.com/show_bug.cgi?id=697958)
  * [pesign](https://github.com/rhinstaller/pesign/pull/30)
  * [python-spidermonkey](https://github.com/davisp/python-spidermonkey/pull/6)
  * [selinux](https://github.com/SELinuxProject/selinux/pull/58)
  * [silc](https://github.com/silc/silc/pull/7)
  * [TPM2.0-TSS](https://github.com/01org/TPM2.0-TSS/pull/419)
  * [dosemu](https://github.com/stsp/dosemu2/pull/386) merged
  * [ebiso](https://github.com/gozora/ebiso/pull/10) merged
  * [honggfuzz](https://github.com/google/honggfuzz/pull/144) merged
  * [john](https://github.com/magnumripper/JohnTheRipper/pull/2560) merged
  * [libtomcrypt](https://github.com/libtom/libtomcrypt/pull/222) merged
  * [opalvoip](https://sourceforge.net/p/opalvoip/patches/333/) merged
  * [PyQt4/5](https://www.riverbankcomputing.com/pipermail/pyqt/2017-May/039214.html) merged
  * [spacenav](https://sourceforge.net/p/spacenav/patches/6/) merged
  * [wavemon](https://github.com/uoaerg/wavemon/pull/35) merged


Reviews of unreproducible packages
----------------------------------

29 package reviews have been added, 49 have been updated and 23 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (10)
 - Chris Lamb (2)
 - James Clarke (1)


diffoscope development
----------------------

Development continued in
[git](https://salsa.debian.org/reproducible-builds/diffoscope/commits/experimental),
with commits from:

- Ximin Luo:
  - Refactor container-related logic to make the code clearer.
  - Various improvements to the progress bar, making it behave more accurately
    and make it compatible with `--debug` logging output.
  - Fix `--exclude control.tar.gz`.
  - When enforcing max-container-depth, show which internal files differ,
    without showing their details.
  - Add `--max-container-depth` CLI option.


strip-nondeterminism development
--------------------------------

Version 0.034-1 was uploaded to unstable by Chris Lamb. It included previous
weeks'
[contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.034-1)
from:

* Chris Lamb
  * Only print log messages by default if the file was actually modified.
    (Closes: [#863033](https://bugs.debian.org/863033))
* Bernhard M. Wiedemann
  * zip: make sure we have permissions on extracted file
  * Add function prototypes.


tests.reproducible-builds.org:
------------------------------

* Alexander Couzens
  * Use Alexander's LEDE git repo to test his mksquashfs patches.
* Daniel Shahaf
  * Refactored reproducible_remote_scheduler.py to add support for multiple suites in one invocation.
* Holger Levsen
  * Prevent the two fdroid jobs from running together by using the Build Blocker Plugin.
  * A niceness variation was also added (see #863440) to the Debian tests, but this change was reverted for now, as
    it was breaking stuff and needs to be readded properly.
  * Some adjustments to the Debian scheduler, still due to the improve performance through the new build services.
* Mattia Rizzolo
  * Update dsa-check-running-kernel from dsa-nagios (to support kernel 4.x as present in stretch) on all jenkins nodes.


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann, Chris Lamb
and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC &
the mailing lists.
