---
layout: blog
week: 113
published: 2017-06-27 16:06:57
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday June 18 and
Saturday June 24 2017:


Upcoming and Past events
------------------------

Our [next IRC meeting is scheduled for the 6th of July](http://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170529/008785.html) at 17:00 UTC with this [agenda](https://pad.riseup.net/p/reproducible-irc-meeting-10) currently:

 1. Introductions
 2. Reproducible Builds Summit update
 3. NMU campaign for buster
 4. Press release: Debian is doing Reproducible Builds for Buster
 5. Reproducible Builds Branding & Logo
 6. should we become an SPI member
 7. Next meeting
 8. Any other business

On June 19th, Chris Lamb presented at [LinuxCon China
2017](https://www.lfasiallc.com/linuxcon-containercon-cloudopen-china) on
Reproducible Builds.

On June 23rd, Vagrant Cascadian held a Reproducible Builds question and answer
session at [Open Source Bridge](http://opensourcebridge.org/y2017).


Reproducible work in other projects
-----------------------------------

LEDE: [firmware-utils](https://git.lede-project.org/?p=source.git;a=commit;h=c47a1a3527d988b637c1daee573cbe0170ef73c6)
and [mtd-utils/mkfs.jffs2](https://git.lede-project.org/?p=source.git;a=commit;h=b5aaafe9a36031149fa52bd07aa4a339e226c23c)
now honor [SOURCE_DATE_EPOCH](https://reproducible-builds.org/specs/source-date-epoch/).


Toolchain development and fixes
-------------------------------

There was discussion on [#782654](https://bugs.debian.org/782654) about packaging bazel for Debian.

Dan Kegel wrote a patch to [use `ar`
determinitiscally](https://github.com/Homebrew/homebrew-core/pull/14860) for
Homebrew, a package manager for MacOS.

Dan Kegel worked on using `SOURCE_DATE_EPOCH` and other reproduciblity fixes
[in fpm](https://github.com/jordansissel/fpm/pull/1360), a multi platform
package builder.

The Fedora Haskell team [disabled parallel
builds](https://github.com/fedora-haskell/ghc-rpm-macros/commit/331f527a6d82c555f08fd5134a6b5cf27b2cf828)
to achieve reproducible builds.

Bernhard M. Wiedemann submitted many patches upstream:

* Sorting file lists:
  * [python setuptools](https://github.com/pypa/setuptools/pull/1068)
  * [cpython tarfile/zipfile](https://github.com/python/cpython/pull/2263)
  * [lyx](http://www.lyx.org/trac/ticket/10711)
  * [dpdk](http://dpdk.org/dev/patchwork/patch/25633/)
  * [perl Alien::SDL](https://rt.cpan.org/Public/Bug/Display.html?id=119888)
  * [gtk-doc](https://bugzilla.gnome.org/show_bug.cgi?id=784177), no fix yet
* Use date from `SOURCE_DATE_EPOCH`:
  * [uwsgi](https://github.com/unbit/uwsgi/pull/1561)
  * [recode](https://github.com/pinard/Recode/pull/11)
  * [perl Glib](https://rt.cpan.org/Public/Bug/Display.html?id=122140)


Packages fixed and bugs filed
-----------------------------

Patches submitted upstream:

* Bernhard M. Wiedemann
  * [samba](https://github.com/samba-team/samba/pull/87), sorting file lists
  * [open-mpi](https://github.com/open-mpi/ompi/pull/3755), merged,
    sorting file lists
  * [virtualbox](https://www.virtualbox.org/ticket/16854), incomplete fix, use `gzip -n`
  * [xen/etherboot](https://lists.xen.org/archives/html/xen-devel/2017-06/msg02583.html),
    [xen/mini-os](https://lists.xen.org/archives/html/xen-devel/2017-06/msg02610.html),
    use `gzip -n`
  * [nautilus-dropbox](https://github.com/dropbox/nautilus-dropbox/pull/31),
    drop date
  * [samba](https://lists.samba.org/archive/samba-technical/2017-June/121302.html),
    use date from `SOURCE_DATE_EPOCH`.

Other patches filed in Debian:

* Adrian Bunk:
  * [#865577](https://bugs.debian.org/865577) filed against [cloud-init](https://tracker.debian.org/pkg/cloud-init).
  * [#865813](https://bugs.debian.org/865813) filed against [jumpnbump](https://tracker.debian.org/pkg/jumpnbump).
* Chris Lamb:
  * [#865554](https://bugs.debian.org/865554) filed against [janus](https://tracker.debian.org/pkg/janus).
  * [#865623](https://bugs.debian.org/865623) filed against [cracklib2](https://tracker.debian.org/pkg/cracklib2).
  * [#865751](https://bugs.debian.org/865751) filed against [nfstrace](https://tracker.debian.org/pkg/nfstrace).
  * [#865753](https://bugs.debian.org/865753) filed against [tigervnc](https://tracker.debian.org/pkg/tigervnc).


Reviews of unreproducible packages
----------------------------------

573 package reviews have been added, 154 have been updated and 9 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 issue type has been updated:

- [random_order_of_pdf_ids_generated_by_latex](https://tests.reproducible-builds.org/issues/unstable/random_order_of_pdf_ids_generated_by_latex_issue.html), added the name of the
  function that possibly causes this issue.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (98)


diffoscope development
----------------------

[Version 83](https://tracker.debian.org/news/847786) was uploaded to unstable
by Chris Lamb.  It also moved the previous changes from experimental (to where
they were uploaded) to unstable.  It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/83)
from previous weeks.

You can read about these changes in our previous weeks' posts, or view [the
changelog](http://changelogs.debian.net/diffoscope#83) directly ([raw
form](http://metadata.ftp-master.debian.org/changelogs/main/d/diffoscope/diffoscope_83_changelog)).

We plan to maintain a backport of this and future versions in
stretch-backports.

Ximin Luo also worked on better `html-dir` output for very very large diffs such
as those for GCC. So far, this includes unreleased work on a ``PartialString``
data structure which will form a core part of a new and more intelligent
recursive display algorithm.


strip-nondeterminism development
--------------------------------

[Versions 0.035-1](https://tracker.debian.org/news/848221) was uploaded to
unstable from experimental by Chris Lamb.  It included
[contributions](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.035-1)
from:

- Bernhard M. Wiedemann
  - Add CPIO handler and test case.
- Chris Lamb
  - Packaging improvements.

Later in the week Mattia Rizzolo uploaded
[0.035-2](https://tracker.debian.org/news/850832) with [some improvements](
https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.035-2)
to the [autopkgtest](https://ci.debian.net/doc/file.TUTORIAL.html) and to the
general packaging.


We currently don't plan to maintain a backport in stretch-backports like we did
for jessie-backports. Please speak up if you think otherwise.


reproducible-website development
--------------------------------

- Chris Lamb:
  - Add OpenEmbedded to projects page after a discussion at LinuxCon China.
  - Update some metadata for existing talks.
  - Add 13 missing talks.


tests.reproducible-builds.org
-----------------------------

- Alexander 'lynxis' Couzens
  - LEDE: do a quick `sha256sum` before calling diffoscope. The LEDE build
    consists of 1000 packages, using diffoscope to detect whether two packages
    are identical takes 3 seconds in average, while calling `sha256sum` on those
    small packages takes less than a second, so this reduces the runtime from
    3h to 2h (roughly). For Debian package builds this is neglectable, as each
    build takes several minutes anyway, thus adding 3 seconds to each build
    doesn't matter much.
  - LEDE/OpenWrt: move `toolchain.html` creation to remote node, as this is were
    the toolchain is build.
  - LEDE: remove debugging output for images.
  - LEDE: fixup HTML creation for toolchain, build path, downloaded software
    and GIT commit used.
- Mattia 'mapreri' Rizzolo:
  - Debian: introduce Buster.
  - Debian: explain how to migrate from squid3 (in jessie) to squid (in stretch).
- Holger 'h01ger' Levsen:
  - Debian:
    - Add jenkins jobs to create schroots and configure pbuilder for Buster.
    - Add Buster to README/about jenkins.d.n.
    - Teach jessie and ubuntu 16.04 systems how to debootstrap Buster.
    - Only update indexes and pkg_sets every 30min as the jobs almost run for
      15 min now that we test four suites (compared to three before).
    - Create HTML dashboard, live status and dd-list pages less often.
    - (Almost) stop scheduling old packages in stretch, new versions will still
      be scheduled and tested as usual.
    - Increase scheduling limits, especially for untested, new and depwait packages.
    - Replace Stretch with Buster in the repository comparison page.
    - Only keep build_service logs for a day, not three.
    - Add check for hanging mounts to node health checks.
    - Add check for haveged to node health checks.
    - Disable ntp.service on hosts running in the future, needed on stretch.
    - Install amd64 kernels on all i386 systems. There is a performance issue
      with i386 kernels, for which a bug should be filed. Installing the amd64
      kernel is a sufficient workaround, but it breaks our 32/64 bit kernel
      variation on i386.
  - LEDE, OpenWrt: Fix up links and split TODO list.
  - Upgrade i386 systems (used for Debian) and `pb3+4-amd64` (used for coreboot,
    LEDE, OpenWrt, NetBSD, Fedora and Arch Linux tests) to Stretch
  - jenkins: use java 8 as required by jenkins >= 2.60.1


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen, Bernhard M.
Wiedemann, Mattia Rizzolo, Chris Lamb & reviewed by a bunch of Reproducible
Builds folks on IRC & the mailing lists.
