---
layout: blog
week: 120
published: 2017-08-17 21:08:55
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday 6th and Saturday 12th August 2017:

* There were two talks mainly about Reproducible Builds at [DebConf17](https://debconf17.debconf.org):
  * [Reproducible builds: Status update](https://debconf17.debconf.org/talks/14/) by Chris Lamb, Holger Levsen, Maria Glukhova, Steven Chamberlain, Vagrant Cascadian, Valerie Young and Ximin Luo.
  * [Fun with .buildinfo](https://debconf17.debconf.org/talks/91/) by Steven Chamberlain.

* Reproducible builds were also mentioned in many other talks including:
  * [Using Qubes OS from the POV of a Debian developer ](https://debconf17.debconf.org/talks/16/) by Holger Levsen.
  * [Debian for Medical Software](https://debconf17.debconf.org/talks/165/) by André Roth.
  * [Let's maintain jenkins.debian.org as a team ](https://debconf17.debconf.org/talks/120/) by Holger Levsen.
  * [Signing package contents: why and how ](https://debconf17.debconf.org/talks/174/) by Matthew Garrett.
  * [Bits from the DPL](https://debconf17.debconf.org/talks/63/) by Chris Lamb.
  * [Installing Debian](https://debconf17.debconf.org/talks/116/) by Vagrant Cascadian.
  * [in-toto -- Securing supply chains as a whole ](https://debconf17.debconf.org/talks/100/) by Lukas Puehringer.
  * [Debian Cloud BoF](https://debconf17.debconf.org/talks/26/) by Steve McIntyre.
  * [Will there be Debian in your next BMW car?](https://debconf17.debconf.org/talks/33/) by Aigars Mahinovs.

* There has also been substantial activity regarding updating the [Debian Policy](https://www.debian.org/doc/debian-policy/) regarding Reproducible Builds ([#844431](https://bugs.debian.org/844431)). This work is still ongoing and will be covered in future issues of this weekly blog.

Notes about reviews of unreproducible packages
----------------------------------------------

13 package reviews have been added, 7 have been updated and 34 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Packages reviewed and fixed, and reproducibility related bugs filed
-------------------------------------------------------------------

* Adrian Bunk:
  * [#871818](https://bugs.debian.org/871818) filed against [debian-zh-faq](https://tracker.debian.org/pkg/debian-zh-faq).
  * [#871907](https://bugs.debian.org/871907) filed against [praat](https://tracker.debian.org/pkg/praat).

* Katsuhiko Nishimra:
  * [#871591](https://bugs.debian.org/871591) filed against [llvm-toolchain-snapshot](https://tracker.debian.org/pkg/llvm-toolchain-snapshot).

* Lucas Nussbaum:
  * [#871059](https://bugs.debian.org/871059) filed against [fltk1.3](https://tracker.debian.org/pkg/fltk1.3).
  * [#871155](https://bugs.debian.org/871155) filed against [brltty](https://tracker.debian.org/pkg/brltty).
  * [#871159](https://bugs.debian.org/871159) filed against [texlive-extra](https://tracker.debian.org/pkg/texlive-extra).
  * [#871345](https://bugs.debian.org/871345) filed against [texlive-base](https://tracker.debian.org/pkg/texlive-base).
  * [#871349](https://bugs.debian.org/871349) filed against [ispell-uk](https://tracker.debian.org/pkg/ispell-uk).
  * [#871357](https://bugs.debian.org/871357) filed against [po4a](https://tracker.debian.org/pkg/po4a).

* jathan:
  * [#870890](https://bugs.debian.org/870890) filed against [apg](https://tracker.debian.org/pkg/apg).

Upstream packages:

* Bernhard M. Wiedemann:
  * [enblend](https://sourceforge.net/p/enblend/code/ci/a98e00eed893f62dd8349fc2894abca3aff4b33a/) (merged), `SOURCE_DATE_EPOCH` support
  * [systemtap](https://sourceware.org/ml/systemtap/2017-q3/msg00104.html)
  * [splint](https://github.com/ravenexp/splint/issues/8) (dead project)
  * [skelcd-openSUSE](https://github.com/openSUSE/skelcd-openSUSE/pull/6)

Other bugs filed
----------------

* During our reproducibility testing, Adrian Bunk filed 48 FTBFS bugs this week.



diffoscope development
----------------------

- Mattia Rizzolo:
  - [debian/copyright: coalesce some file paragraphs and update information.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/cb9e148)
  - [Bump Standards-Version to 4.0.1, no changes needed.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/831ed83)

trydiffoscope development
-------------------------

- Chris Lamb:
  - [Test --help output in autopkgtests](https://salsa.debian.org/reproducible-builds/trydiffoscope.git/commit/?id=eb71e92)

tests.reproducible-builds.org
-----------------------------

- Mattia:
  - Notify `the `#debian-reproducible-changes` IRC channel for unreproducible -> FTBFS transitions.
  - Update `squid.conf` for all nodes to 5.2.23 (and fixup some).
  - Enable the Munin Squid plugin on the Codethink `arm64` nodes as well.
  - Force reconfiguration of Apache and Munin when `update_jdn.sh` is updated.
- Holger worked on slides for his DebConf17 BoF about migrating to `jenkins.debian.org`, which affects tests.r-b.o as well.

Misc.
-----

This week's edition was written by Chris Lamb & Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
