---
layout: blog
week: 125
published: 2017-09-19 17:09:45
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday September 10 and
Saturday September 16 2017:

Upcoming events
---------------

* Holger Levsen [wrote and published details about our upcoming Berlin summit](https://reproducible-builds.org/events/berlin2017/).
  Expect a more detailed announced soon and consider planning your travel!


Reproduciblity work in Debian
-----------------------------

[devscripts](https://tracker.debian.org/pkg/devscripts)/2.17.10 was uploaded to unstable, fixing [#872514](https://bugs.debian.org/872514). This
adds a [script to report on reproducibility status of installed
packages](https://chris-lamb.co.uk/posts/which-packages-my-system-are-reproducible)
written by Chris Lamb.

[#876055](https://bugs.debian.org/876055) was opened against Debian Policy to decide the precise
requirements we should have on a build's environment variables.

Bugs filed:

* Chris Lamb:
  * [#875700](https://bugs.debian.org/875700) filed against [gtk+3.0](https://tracker.debian.org/pkg/gtk+3.0).
  * [#875704](https://bugs.debian.org/875704) filed against [gdk-pixbuf](https://tracker.debian.org/pkg/gdk-pixbuf).
  * [#875792](https://bugs.debian.org/875792) filed against [doit](https://tracker.debian.org/pkg/doit).
* Vagrant Cascadian:
  * [#875711](https://bugs.debian.org/875711) filed against [qemu](https://tracker.debian.org/pkg/qemu).

Non-maintainer uploads:

* Holger Levsen:
  * [fonts-dustin](https://tracker.debian.org/pkg/fonts-dustin)/20030517-11 uploaded, fixing [#815723](https://bugs.debian.org/815723) with
    patch by Scarlett Clark.


Reproduciblity work in other projects
-----------------------------

Patches sent upstream:

- Bernhard M. Wiedemann:
  - [cadabra2](https://github.com/kpeeters/cadabra2/pull/54) build timestamp
  - [jimtcl](https://github.com/msteveb/jimtcl/pull/104) build timestamp, fixed another way
  - [itpp](https://sourceforge.net/p/itpp/git/merge-requests/3/) build timestamp, merged
  - [dunst](https://github.com/dunst-project/dunst/pull/372) file list ordering, merged
  - [HSAIL-Tools](https://github.com/HSAFoundation/HSAIL-Tools/pull/51) hash table ordering, merged
  - [kubernetes](https://github.com/kubernetes/kubernetes/issues/52269) hash set ordering, no patch


Reviews of unreproducible packages
----------------------------------

16 package reviews have been added, 99 have been updated and 92 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 issue type has been updated:

- Add [build_path_captured_in_assembly_objects](https://tests.reproducible-builds.org/issues/unstable/build_path_captured_in_assembly_objects_issue.html)


diffoscope development
----------------------

- Juliana Oliveira Rodrigues:
  - Fix comparisons between different container types not comparing inside
    files. It was caused by falling back to binary comparison for different
    file types even for unextracted containers.
  - Add many tests for the fixed behaviour.
  - Other code quality improvements.
- Chris Lamb:
  - Various code quality and style improvements, some of it using Flake8.
- Mattia Rizzolo:
  - Add a check to prevent installation with python < 3.4


reprotest development
---------------------

- Ximin Luo:
  - Split up the very large ``__init__.py`` and remove obsolete earlier code.
  - Extend the syntax for the ``--variations`` flag to support parameters to
    certain variations like ``user_group``, and document examples in README.
  - Add a ``--vary`` flag for the new syntax and deprecate ``--dont-vary``.
  - Heavily refactor internals to support > 2 builds.
  - Support >2 builds using a new ``--extra-build`` flag.
  - Properly sanitize ``artifact_pattern`` to avoid arbitrary shell execution.


trydiffoscope development
-------------------------

Version 65 was [uploaded to
unstable](http://metadata.ftp-master.debian.org/changelogs/main/t/trydiffoscope/trydiffoscope_65_changelog)
by Chris Lamb including these
[contributions](https://salsa.debian.org/reproducible-builds/trydiffoscope/commits/debian/65):

- Chris Lamb:
  - Packaging maintenance updates.
  - Developer documentation updates.


Reproducible websites development
--------------------------------

- Holger Levsen:
  - Add a page for the [Reproducible Builds World Summit 3 in Berlin 2017](https://reproducible-builds.org/events/berlin2017/).

- Chris Lamb:
  - Moved [isdebianreproducibleyet.com](https://isdebianreproducibleyet.com) to HTTPS.
  - Updated the SSL certificate for [buildinfo.debian.net](https://buildinfo.debian.net).


tests.reproducible-builds.org
-----------------------------

- Vagrant Cascadian and Holger Levsen:
  - Added two armhf boards to the build farm. [#874682](https://bugs.debian.org/874682)
- Holger also:
  - use timeout to limit the diffing of the two build logs to 30min, which greatly
    reduced jenkins load again.

Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann, Chris
Lamb, Holger Levsen and Daniel Shahaf & reviewed by a bunch of Reproducible
Builds folks on IRC & the mailing lists.
