---
layout: blog
week: 129
published: 2017-10-17 19:10:02
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday October 8 and
Saturday October 14 2017:


Upcoming events
---------------

- On Saturday 21st October, [Holger Levsen will present](https://cfp.all-systems-go.io/en/ASG2017/public/events/117)
  at [All Systems Go!](https://all-systems-go.io/) in Berlin, Germany on
  reproducible builds.

- On Tuesday 24th October, [Chris Lamb will
  present](https://allthingsopen.org/talk/you-think-youre-not-a-target-a-tale-of-three-developers/)
  at [All Things Open 2017](https://allthingsopen.org) in Raleigh,
  NC, USA on reproducible builds.

- On Wednesday 25th October, [Holger Levsen will
  present](https://osseu17.sched.com/event/BxJs/reproducible-builds-we-made-lots-of-progress-in-many-places-but-were-still-far-from-our-goals-of-changing-the-software-world-holger-levsen)
  at the [Open Source Summit Europe](https://osseu17.sched.com) in Prague,
  Czech Republic on reproducible builds.

- From October 31st - November 2nd we will be holding the
  [3rd Reproducible Builds summit](https://reproducible-builds.org/events/berlin2017/)
  in Berlin. If you are working in the field of reproducible builds, you should totally be
  there. Please contact us if you have any questions! Quoting from the [public invitation mail](https://lists.reproducible-builds.org/pipermail/rb-general/2017-October/000653.html):

      These dates are inclusive, ie. the summit will be 3 full days from "9 to 5".
      Best arrive on Monday October 30th and leave on the evening of Thursday, 3rd
      at the earliest.


      Meeting content
      ===============

      The exact content of the meeting is going to be shaped by the
      participants, but here are the main goals:

       - Update & exchange about the status of reproducible builds in various
         projects.
       - Establish spaces for more strategic and long-term thinking than is possible
         in virtual channels.
       - Improve collaboration both between and inside projects.
       - Expand the scope and reach of reproducible builds to more projects.
       - Brainstorming / Designing several things, eg:
        - designing tools enabling end-users to get the most benefits from
          reproducible builds.
        - design of back-ends needed for that.
       - Work together and hack on solutions.

      There will be a huge variety of topics to be discussed. To give a few
      examples:
      - continuing design and development work on .buildinfo infrastructure
      - build-path issues everywhere
      - future directions for diffoscope, reprotest & strip-nondeterminism
      - reproducing signed artifacts such as RPMs
      - discussing formats and tools we can share
      - sharing proposals for standards and documentation helpful to spreading the
        reproducible effort
      - and many many more.

      Please think about what you want discuss, brainstorm & learn about at this
      meeting!


      Schedule
      ========

      Preliminary schedule for the three days:

      9:00 Welcome and breakfast
      9:30 Meeting starts
      12:30 Lunch
      17:00 End of the official schedule

      Gunner and Beatrice from Aspiration will help running the meeting. We will
      collect your input in subsequent emails to make the best of everyone's time.
      Feel free to start thinking about what you want to achieve there. We will also
      adjust topics as the meeting goes.

      Please note that we are very likely to spend large parts of the meeting away
      from laptops and closer to post-it notes. So make sure you've answered any
      critical emails *before* Tuesday morning! :)



Reproducible work in other projects
-----------------------------------

Pierre Pronchery reported that that he has
[built the foundations for doing more reproducibility work in
NetBSD](https://lists.reproducible-builds.org/pipermail/rb-general/2017-October/000654.html).


Packages fixed
--------------

Upstream bugs and patches:

* Bernhard M. Wiedemann:
  * [qutim](https://bugs.launchpad.net/qutim/+bug/1724148) used RANDOM which is
    unpredictable and unreproducible.
  * [dpdk](http://dpdk.org/ml/archives/dev/2017-October/078193.html) used
    locale-dependent sort.

Reproducibility non-maintainer uploads in Debian:

* Chris Lamb:
  * [mailfront](https://tracker.debian.org/pkg/mailfront) for bugs [#777431](https://bugs.debian.org/777431) & [#847020](https://bugs.debian.org/847020).
  * [plib-doc](https://tracker.debian.org/pkg/plib-doc) for bugs [#778971](https://bugs.debian.org/778971) & [#557676](https://bugs.debian.org/557676).
  * [ipsvd](https://tracker.debian.org/pkg/ipsvd) for bugs [#777417](https://bugs.debian.org/777417) & [#846890](https://bugs.debian.org/846890).
* Holger Levsen
  * [keyutils](https://tracker.debian.org/pkg/keyutils) for bug [#828681](https://bugs.debian.org/828681).

QA fixes in Debian:

* Adrian Bunk:
    * [#878329](https://bugs.debian.org/878329) filed against [sonic-visualiser](https://tracker.debian.org/pkg/sonic-visualiser).
    * [#878333](https://bugs.debian.org/878333) filed against [tree-puzzle](https://tracker.debian.org/pkg/tree-puzzle).


Reviews of unreproducible packages
----------------------------------

6 package reviews have been added, 30 have been updated and 37 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (40)
 - Eric Valette (1)
 - Markus Koschany (1)


diffoscope development
----------------------

- Ximin Luo:
    - Containers: diff the metadata of containers in one central location in
      the code, so that deep-diff works between all combinations of different
      container types. This lets us finally close [#797759](https://bugs.debian.org/797759).
    - Tests: add a complete set of cases to test all pairs of container types.
- Chris Lamb:
    - Temporarily skip the test for ps2ascii(1) in [ghostscript](https://tracker.debian.org/pkg/ghostscript) > 9.21
      which now outputs text in a slightly different format.
    - UI wording improvements.


reprotest development
---------------------

Version [0.7.3](https://tracker.debian.org/news/879113) was uploaded to
unstable by Ximin Luo. It included
[contributions](https://salsa.debian.org/reproducible-builds/reprotest/commits/0.7.3)
already covered by posts of the previous weeks, as well as new ones:

- Ximin Luo:
    - Add a `--env-build` option for testing builds under different sets of
      environment variables. This is meant to help the discussion over at
      [#876055](https://bugs.debian.org/876055) about how we should deal with different types of
      environment variables in a stricter definition of reproducibility.
    - UI and logging tweaks and improvements.
    - Simplify the `_shell_ast` module and merge it into `shell_syn`.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb and Holger Levsen &
reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
