---
layout: blog
week: 135
published: 2017-11-29 20:11:52
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday November 19 and
Saturday November 25 2017:

Upcoming events
---------------

Reproducible Builds will have an [assembly at
34c3](https://events.ccc.de/congress/2017/wiki/index.php/Assembly:Reproducible-Builds),
<em>[the "Galactic
Congress"](https://events.ccc.de/2017/11/26/a-galactic-congress-welcomes-all-lifeforms/)</em>.
;-) Currently [we are discussing to informally meet there every day at 13:37
UTC](https://lists.reproducible-builds.org/pipermail/rb-general/2017-November/000735.html).


Reproducible Arch Linux
-----------------------

Since November 23 2017, [Arch Linux](https://www.archlinux.org) is again being
[continuously tested for
reproducibility](https://tests.reproducible-builds.org/archlinux/). However,
this time a patched `pacman` is being used which can create reproducible packages.
After 4 days of testing, 18% of all packages in the <em>core, extra, multilib
and community</em> Arch repos has been tested, with these &mdash; very
preliminary &mdash; results:

* core: 77.1% reproducible, all 197 packages tested.
* extra: 75.2% reproducible, 514 packages (of 2250 total) tested.
* multilib: 82.6% reproducible, all 259 packages tested.
* community: 76.5% reproducible, 487 packages (of 7739 total) tested.

Jelle van der Waa also wrote [a blog post explaining more
details](http://vdwaa.nl/arch/linux/reproducible/builds/security/reproducible-builds-arch/)
detailing how this already had lead to more QA work in Arch.

So all in all, <em>it looks like</em> 77.2% of the tested Arch Linux packages
are now reproducible! With an unreleased pacman version and without some
variations we apply when testing Debian… still this is a very good start! Kudos
to all involved.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Patches filed upstream:

* Bernhard M. Wiedemann:
  * [libvma](https://github.com/Mellanox/libvma/pull/515) - date, `SOURCE_DATE_EPOCH` support
  * [nfoview](https://github.com/otsaloma/nfoview/pull/13) (merged) - file ordering, Python `glob`
  * [systemtap](https://sourceware.org/ml/systemtap/2017-q4/msg00149.html) - date
* Chris Lamb:
  * [gpaw](https://gitlab.com/gpaw/gpaw/merge_requests/286) - (merged) embedded logging output
  * [bitz-server](https://github.com/uditha-atukorala/bitz-server/pull/7) (merged) - build path

Patches filed in Debian:

* Chris Lamb:
    * [#882112](https://bugs.debian.org/882112) filed against [bitz-server](https://tracker.debian.org/pkg/bitz-server) buildpath.
    * [#882277](https://bugs.debian.org/882277) filed against [atk1.0](https://tracker.debian.org/pkg/atk1.0) buildpath.
    * [#882383](https://bugs.debian.org/882383) filed against [json-glib](https://tracker.debian.org/pkg/json-glib) buildpath.
    * [#882446](https://bugs.debian.org/882446) filed against [geocode-glib](https://tracker.debian.org/pkg/geocode-glib) buildpath.
    * [#882447](https://bugs.debian.org/882447) filed against [pyzor](https://tracker.debian.org/pkg/pyzor) randomness.
    * [#882462](https://bugs.debian.org/882462) filed against [bugs-everywhere](https://tracker.debian.org/pkg/bugs-everywhere) randomness.
    * [#882578](https://bugs.debian.org/882578) filed against [pymongo](https://tracker.debian.org/pkg/pymongo) timestamps.
    * [#882579](https://bugs.debian.org/882579) filed against [landslide](https://tracker.debian.org/pkg/landslide) buildpath.
    * [#882580](https://bugs.debian.org/882580) filed against [ruby-mmap2](https://tracker.debian.org/pkg/ruby-mmap2) buildpath.
    * [#882638](https://bugs.debian.org/882638) filed against [gpaw](https://tracker.debian.org/pkg/gpaw) timestamps.
    * [#882639](https://bugs.debian.org/882639) filed against [sfepy](https://tracker.debian.org/pkg/sfepy) timestamps.
    * [#882727](https://bugs.debian.org/882727) filed against [libffi-platypus-perl](https://tracker.debian.org/pkg/libffi-platypus-perl) randomness.

Patches filed in openSUSE:

* Bernhard M. Wiedemann:
  * [cloud-init](https://bugzilla.opensuse.org/show_bug.cgi?id=1069635) - randomness from python's `mkdtemp`
  * [kernel-obs-build](https://build.opensuse.org/request/show/545254) - random filesystem UUID


Reviews of unreproducible packages
----------------------------------

97 package reviews have been added, 56 have been updated and 42 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been added:

- [timestamps\_in\_rcc\_files\_generated\_by\_rcc](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/893323fa)
- [build\_path\_in\_files\_generated\_by\_qdbusxml2cpp](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5b641d62)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (62)
 - Gilles Filippini (1)
 - Gregor Riepl (1)
 - James Cowgill (1)
 - Laurent Bigonville (1)
 - Matthias Klose (1)
 - Sylvestre Ledru (2)
 - gregor herrmann (1)


reproducible-faketools
----------------------

* [reproducible-faketools](https://github.com/bmwiedemann/reproducible-faketools) 0.3.10 was released with support for:
  * Reduced randomness (/dev/random and urandom are actually /dev/zero)
  * Disabled ASLR and
  * Building with fixed PIDs.
  * Also the `tar` wrapper script got a bug fix.


reprotest development
---------------------

- Ximin Luo:
    - [build: comment about why we do 'sudo -h localhost'](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3143efa)
    - [build: add num\_cpu variation](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=d5dd4df)
    - [build: add aslr variation](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=f0182b0)
    - [build: just use "sudo -h localhost" instead of messing around with mount namespaces](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=4e57b19)


reproducible-website development
--------------------------------

- Chris Lamb:
    - [Add a (redirecting) /docs/source-date-epoch/ page so we have a canonical URL on r-b.org.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/cb3f76f)
    - [Add a 'blank' Jekyll layout.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/7ee39da)
- Holger Levsen:
    - [Add Qubes OS to the list of involved projects - thanks to Andew David Wong](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/8760c33)


tests.reproducible-builds.org
-----------------------------

* anthraxx worked on [reproducible Arch Linux](https://tests.reproducible-builds.org/archlinux) (19 commits)
* Holger Levsen did some work on [reproducible Debian](https://tests.reproducible-builds.org/debian/):
  * [aa9ce22d6](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=aa9ce22d6) -
    Update email subject of status change mails to use t.r-b.o/debian - thanks to lamby for #882186
* Holger mostly worked on [reproducible Arch Linux](https://tests.reproducible-builds.org/archlinux)
  that week (56 commits).
* Misc tests.r-b.o work by Holger:
  * [0d79ab54a](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=0d79ab54a) -
    reproducible Fedora: be explicit that this is stalled atm
  * Holger also reviewed and deployed 25 commits from other people.
  * Finally, Holger moved IRC notifications for `jenkins.debian.net` from
    `#debian-reproducible` to `#reproducible-builds` (and kept them
    on #debian-qa as well).
* Johannes Löthberg worked on Arch Linux as well (2 commits)
* kpcyrd also worked on Arch Linux (5 commits)

Finally there was discussion to how to [generalise the database schema for
supporting several
projects](https://lists.reproducible-builds.org/pipermail/rb-general/2017-November/000713.html),
triggered by the recent work on reproducible Arch, but also previously
discussed in the context of openSUSE, LEDE and FreeBSD.


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann, Holger
Levsen and Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC
& the mailing lists.
