---
layout: blog
week: 137
published: 2017-12-15 18:12:27
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday December 3 and
Saturday December 9 2017:


Documentation update
--------------------

There was more discussion on [different logos being
proposed](https://lists.reproducible-builds.org/pipermail/rb-general/2017-December/000741.html)
for the project.


Reproducible work in other projects
-----------------------------------

Cyril Brulebois wrote about Tails' [work on
reproducibility](https://debamax.com/blog/2017/11/20/tails-early-work-on-reproducibility/)

Gabriel Scherer submitted a [pull request to the OCaml
compiler](https://github.com/ocaml/ocaml/pull/1515) to honour the
`BUILD_PATH_PREFIX_MAP` environment variable.


Packages reviewed and fixed
---------------------------

Patches filed upstream:

* Bernhard M. Wiedemann:
  * [cpython tar/zip](https://github.com/python/cpython/pull/2263) - file ordering, sort file lists
* Eli Schwartz:
  * [calibre:](https://bugs.launchpad.net/calibre/+bug/1736313) - hash table ordering
* Foxboron
  * [gopass:](https://github.com/justwatchcom/gopass/pull/495) - use `SOURCE_DATE_EPOCH` in Makefile
* Jelle
  * [PHP:](https://github.com/php/php-src/pull/2965) - use `SOURCE_DATE_EPOCH` for Build Date
* Chris Lamb:
  * [pylint](https://github.com/PyCQA/pylint/pull/1761) - file ordering, nondeterministic data structure
  * [tlsh](https://github.com/trendmicro/tlsh/pull/51#issuecomment-349206496) - clarify error message (via diffoscope development)
* Alexander "lynxis" Couzens:
  * [mosquitto](https://github.com/eclipse/mosquitto/pull/651) - remove build timestamp
  * [libwebsockets](https://github.com/warmcat/libwebsockets/pull/1122) - remove build user/hostname
  * [open-plc-utils](https://github.com/qca/open-plc-utils/pull/114) - remove build timestamp

Patches filed in Debian:

* Chris Lamb:
  * [#883376](https://bugs.debian.org/883376) filed against [p4vasp](https://tracker.debian.org/pkg/p4vasp).
  * [#883728](https://bugs.debian.org/883728) filed against [designate](https://tracker.debian.org/pkg/designate).
  * [#883913](https://bugs.debian.org/883913) filed against [pylint](https://tracker.debian.org/pkg/pylint).
  * [#884047](https://bugs.debian.org/884047) filed against [bibledit](https://tracker.debian.org/pkg/bibledit).

Patches filed in openSUSE:

* Bernhard M. Wiedemann:
  * [build-compare](https://github.com/openSUSE/build-compare/pull/19) (merged) - handle .egg as .zip
  * [neovim](https://build.opensuse.org/request/show/547886) (merged) - hostname, username
  * [perl](https://build.opensuse.org/request/show/548200) (merged) - date, hostname, username
  * [sendmail](https://build.opensuse.org/request/show/548518) - date, hostname, username

Patches filed in OpenWRT:

* Alexander "lynxis" Couzens:
  * [tcpproxy](https://github.com/openwrt/packages/pull/5216) - remove build timestamp and hostname
  * [libwebsockets](https://github.com/openwrt/packages/pull/5217) - remove build hostname
  * [lua-rs232](https://github.com/openwrt/packages/pull/5218) - remove build timestamp
  * [wavemon](https://github.com/openwrt/packages/pull/5227) - use `SOURCE_DATE_EPOCH` as `BUILD_DATE`
  * [asterisk](https://github.com/openwrt/telephony/pull/223) - remove build timestamp
  * [sipp](https://github.com/openwrt/telephony/pull/221) - remove build timestamp
  * [restund](https://github.com/openwrt/telephony/pull/220) - remove build timestamp
  * [zabbix](https://github.com/openwrt/packages/pull/5234) - remove build timestamp
  * [uanytun](https://github.com/openwrt/packages/pull/5235) - remove build timestamp and hostname
  * [perl](https://github.com/openwrt/packages/pull/5236) - remove build timestamp
  * [php7](https://github.com/openwrt/packages/pull/5237) - remove build timestamp
  * [lcdproc](https://github.com/openwrt/packages/pull/5238) - remove build timestamp
  * [mosquitto](https://github.com/openwrt/packages/pull/5241) - remove build timestamp
  * [kamailio-5.x](https://github.com/openwrt/telephony/pull/224) - remove build timestamp


Reviews of unreproducible packages
----------------------------------

17 package reviews have been added, 31 have been updated and 43 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (13)
 - Andreas Beckmann (2)
 - Emilio Pozuelo Monfort (3)


reprotest development
---------------------

- Santiago Torres:
    - Use `uname -m` instead of `arch`.


trydiffoscope development
-------------------------

Version [66](https://tracker.debian.org/news/892026) was uploaded to unstable by Chris Lamb.
It included [contributions](https://salsa.debian.org/reproducible-builds/trydiffoscope/commits/66)
already covered by posts of the previous weeks as well as new ones from:

- Chris Lamb:
    - Parse dpkg-parsechangelog instead of hard-coding version
    - Bump Standards-Version to 4.1.2
    - flake8 formatting


reproducible-website development
--------------------------------

- Holger Levsen:
    - Add documentation from our [third
      summit](https://reproducible-builds.org/events/berlin2017/), as provided
      by Beatrice Martini from [Aspiration Tech](https://aspirationtech.org/)


tests.reproducible-builds.org
-----------------------------

reproducible Arch Linux:

- Holger Levsen:
    - Scheduler:
        - [Randomize the scheduling of packgaes](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=c6ce6a01)
        - [Schedule newer packages so they are built sooner](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=5e44c991)
        - [Schedule 250 old packages if nothing else to do](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=a75bf50a)
        - [Don't schedule packages that blacklisted](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=5a74b822)
    - Bug fixes:
        - [Don't fail the build if `PKGBUILD` cannot be sourced](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=b128725f)
        - [Also detect `==> ERROR: Failure while creating working copy` as a download failure](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=100e1b44)
        - [Don't use `sudo` if `-u root` works](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=f049c47b)
        - [Cleanup files before the next build](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=cb3a5085)
    - Alerting:
        - [Conditionally shorten IRC messages](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=4a373f6c)
        - [Notify IRC about new daily graphs](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=62fb1f4a)
    - Reporting/logging:
        - [Log which old packages have been rescheduled](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=cf8d1e3b)
        - [Output number of currently scheduled packages](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ba1c68b8)
        - [Show blacklisted packages](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=5cea6adc)
        - [Correctly create pkg.html for blacklisted packages we don't know anything about](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=7e7e05c0)
    - Misc:
        - Blacklist management: [Refactoring, blacklist core/gnutls](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=16f54f61) and blacklist [ltrace](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=d69dcea2)
        - [Add pointer to a patch we want to see merged](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ba7a2bf0)
- anthraxx:
    - [Remove Pacman lock in local session](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=34421333)
    - [Skip GPG checks for future builds re. expired keys](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=92460fde)
    - [Remove overly verbose debugging](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=dc83c484)
- Eli Schwartz:
    - [Add variation for /bin/sh](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=e2eb0473)
    - [Don't install multilib-devel members manually](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=95000432)

reproducible F-Droid:

- Hans-Christoph Steiner:
    - [Add all supported VCSs](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=6dbb4137)


Misc.
-----

This week's edition was written by Ximin Luo, Alexander Couzens, Holger Levsen,
Chris Lamb, Bernhard M. Wiedemann and Santiago Torres & reviewed by a bunch of
Reproducible Builds folks on IRC & the mailing lists.
