---
layout: blog
week: 161
published: 2018-05-29 07:52:30
---

![]({{ "/images/blog/161/logo.png" | relative_url }})

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday May 20 and Saturday May 26 2018:

* On Sunday 20th May Chris Lamb, Holger Levsen, Jonathan Bustillos Osornio (jathan) and Steven Chamberlain presented on Reproducible Builds at the [MiniDebConfHamburg](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg), focusing on the status in Debian *buster*. Slides and links to videos are [available on our Resources](https://reproducible-builds.org/resources/) page.

* Holger then followed-up with a blog post entitled "[Debian is wrong"](http://layer-acht.org/thinking/blog/20180520-Debian-is-wrong/), a selection of which was [chosen as "Distribution Quote of the Week"](https://lwn.net/Articles/755093/) on [Linux Weekly News](https://lwn.net) (LWN).

* Arnout Engelen [concluded voting for our new logo & typeface](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000981.html) resulting in <a href="{{ "/images/blog/161/logo.png" | relative_url }}">a winner</a> (shown above).

* [Antoine Beaupré](https://anarc.at/) was published on [LWN](https://lwn.net/) with an article that touches on reproducible builds, entitled [Securing the container image supply chain](https://lwn.net/Articles/754443/).

* [Mes](https://gitlab.com/janneke/mes), a Scheme-based compiler for our "sister" [bootstrappable builds](http://bootstrappable.org) effort, [announced their 0.14 release](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000983.html). It now compiles a self-hosting [TinyCC](https://bellard.org/tcc/) that has only been slightly patched. This means that Mes can now build a `tcc` that depends only on a 1MB ASCII M1 seed, compared to [GuixSD](https://www.gnu.org/software/guix/) currently uses a ~250MB binary seed to build [gcc](https://gcc.gnu.org/).

* Chris Lamb updated our [reproducible-builds.org/](https://reproducible-builds.org/) website to [add a favicon](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/3d2189e) and to [drop a trailing forward-slash](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/d2afd1f) from the `<link rel="vcs-git" />`header attribute.

* 18 package reviews have been added, 45 have been updated and 41 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:
    * [parted](https://build.opensuse.org/request/show/611893) (sort `readdir(2)`,via version update)
    * [openclonk](https://build.opensuse.org/request/show/612217) (date)
    * [photoqt](https://build.opensuse.org/request/show/612224) (random)
    * [python-datrie](https://build.opensuse.org/request/show/612228) (sort `readdir(2)`)
    * [python-pycryptopp](https://build.opensuse.org/request/show/612261) ([filed upstream](https://github.com/tahoe-lafs/pycryptopp/pull/41))
    * [pip install](https://bugzilla.opensuse.org/show_bug.cgi?id=1094323) random path
    * [gap-ace](https://github.com/gap-packages/ace/pull/15) (use changelog date)
    * [restkit](https://github.com/benoitc/restkit/pull/145) (date)
    * [numpy](https://github.com/numpy/numpy/pull/11163) (sort `readdir(2)`)
    * [sunpy](https://github.com/sunpy/sunpy/pull/2637) (sort `readdir(2)`)
    * [lilypond](https://sourceforge.net/p/testlilyissues/issues/5328/) (random)
    * [icu](https://ssl.icu-project.org/trac/ticket/13791) (FTBFS-2030)

* Chris Lamb:
    * [#899162](https://bugs.debian.org/899162) filed against [vitrage](https://tracker.debian.org/pkg/vitrage).
    * [#899358](https://bugs.debian.org/899358) filed against [weston](https://tracker.debian.org/pkg/weston).


diffoscope development
----------------------

Version [95](https://tracker.debian.org/news/958804/accepted-diffoscope-95-source-into-unstable/) was uploaded to unstable by Mattia Rizzolo. It [includes contributions already covered by posts in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/95) as well as new ones from:

* Chris Lamb:

    * [Change the "No file format specific differences found inside, yet data differs" message to be clearer that diffoscope "knows" about this file format yet could not be helpful in this case](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c8198fc).
    * Various [PEP8](https://www.python.org/dev/peps/pep-0008/) style fixes, including: [E731](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c3426f6), [E502](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6ce0b75), [E501](https://salsa.debirg/reproducible-builds/diffoscope/commit/8ea7501), [E302](https://salsa.debian.org/reproducible-builds/diffoscope/commit/055cae5), [E251](https://salsa.debian.org/reproducible-builiffoscope/commit/3c4a5e9), [E241](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3999100), [E226](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b89e1), [PEP8: E121, E122, E126, E128](https://salsa.debian.org/reproducible-builds/diffoscope/commit/28aa66e), etc.
    * [Don't append rather useless "(data)" suffix](https://salsa.debian.org/reproducible-builds/diffoscope/commit/59b41a2).

* Mattia Rizzolo:

    * [Fix an misnamed filename reference in the PDF tests](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9662cf9).


tests.reproducible-builds.org development
-----------------------------------------

There were a number of changes to our [Jenkins](https://jenkins.io/)-based testing framework, including:

* Holger Levsen:

    * [Don't (additionally) compress `Packages.gz`](https://salsa.debian.org/qa/jenkins.debian.net/commit/22c41491).

* Mattia Rizzolo:

    * [Access our experimental repository over HTTP (vs. HTTPS), to permit caching](https://salsa.debian.org/qa/jenkins.debian.net/commit/371ae80e).
    * [Do not force-redirect /debian/repository/debian to HTTPS to allow caching](https://salsa.debian.org/qa/jenkins.debian.net/commit/4147a4fb).
    * [Change into working directory before calling `git pull`](https://salsa.debian.org/qa/jenkins.debian.net/commit/400f4610).

* As part of the ongoing maintenance work:

  * Holger rebooted the `arm64` nodes that form part of our testing framework and also removed old kernels to prevent `/boot` from filling up.

  * Chris Lamb updated the SSL certificate for [buildinfo.debian.net](https://buildinfo.debian.net/).


Misc.
-----

This week's edition was written by Arnout Engelen, Bernhard M. Wiedemann, Chris Lamb, Holger Levsen and Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
