---
layout: blog
week: 164
published: 2018-06-19 07:40:40
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday June 10 and Saturday June 16 2018:

* [Tom Yates](http://www.teaparty.net/) published a post titled [*Toward a fully reproducible Debian*](https://lwn.net/SubscriberLink/757118/f2f894279576c348/) (NB. non-subscriber "guest" link) on [LWN](https://lwn.net/) based on Chris Lamb's keynote presentation at [FLOSSUK 2018](https://www.flossuk.org/membership/spring-conference-2018/) in Edinburgh, Scotland earlier this year.

* On Wednesday 13th June, Chris Lamb presented at [foss-backstage.de](https://foss-backstage.de) in Berlin, Germany on reproducible builds and [how they prevent developers being targets for malicious attacks](https://foss-backstage.de/session/think-youre-not-target-tale-3-developers) ([links](https://reproducible-builds.org/resources/)).

* Elio Qoshi of [Ura Design](https://ura.design) wrote about the new [reproducible builds style guide on their blog](https://ura.design/2018/06/13/reproducible-builds-styleguide) ([preview](https://reproducible-builds.org/style/)).

* Chris Lamb made a number of changes to the [reproducible-builds.org website](https://reproducible-builds.org/) including [importing presentations from the Debian wiki](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ae834c4), [adding a missing SEAGL talk](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/957437a) and [updating the contribution page to link to our Debian Installer tracking issue](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/cdc53fb).

* [Paul Wise](http://bonedaddy.net/pabs3/) filed Debian bug [#901300](https://bugs.debian.org/901300) (*bls: warn about strip-nondeterminism output in build logs*) requesting that the scanner detects when `strip-nondeterminism` locates some non-determinism and warn about it in the build logs.

* Chris Lamb filed a wishlist bug [#901473](https://bugs.debian.org/901473) to request that the [Reproducible Builds testing framework](http://tests.reproducible-builds.org/) varies on a [merged `/usr`](https://wiki.debian.org/UsrMerge) when comparing packages.

* This week, 15 package reviews were added, 16 were updated and 19 were removed adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

* `strip-nondeterminism` version `0.042-1` was [uploaded to Debian unstable](https://tracker.debian.org/news/965305/accepted-strip-nondeterminism-0042-1-source-all-into-unstable/) by Chris Lamb. It [included contributions already covered in previous weeks](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commits/debian/0.042-1) as well as new ones from, [respect `nocheck` build profile in `DEB_BUILD\OPTIONS`](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commit/9e084a0).


diffoscope development
----------------------

[diffoscope](https://diffoscope.org) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages. This week, version `96` was [uploaded to Debian unstable](https://tracker.debian.org/news/965737/accepted-diffoscope-96-source-all-into-unstable/) by Chris Lamb. It [includes contributions already covered by posts in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/96) as well as new ones from:

* Chris Lamb:
    * [Drop dependency on pdftk as it relies on GCJ, relying on the pdftotext fallback. (Closes: #893702)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5530623)

* Xavier Briand:
    * [Add merge request info to contributing documentation](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7902970).


tests.reproducible-builds.org development
-----------------------------------------

There were a number of changes to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/), including:

* Chris Lamb:
    * [Correct "diffscope" typo on HTML breakage page](https://salsa.debian.org/qa/jenkins.debian.net/commit/e8258369).

* Eli Schwartz:
    * [Update Arch Linux's reproducibility status](https://salsa.debian.org/qa/jenkins.debian.net/commit/5270b99f).
    * [Move old artifact cleanup to before the results HTML generated](https://salsa.debian.org/qa/jenkins.debian.net/commit/b1f7c51d).

* Holger Levsen:
    * [Update copyright year](https://salsa.debian.org/qa/jenkins.debian.net/commit/0e0adac5).
    * [Update an URL now that the security-tracker has moved to Salsa](https://salsa.debian.org/qa/jenkins.debian.net/commit/91409447).

* Jelle van der Waa:
    * [Mention Arch Linux Reproducible Build IRC channel](https://salsa.debian.org/qa/jenkins.debian.net/commit/271e0b5f).

* Mattia Rizzolo:
    * [Stop the worker and don't try to build anything if any of a pair is offline](https://salsa.debian.org/qa/jenkins.debian.net/commit/8494a038).
    * [Don't start the worker if a node is marked as offline in the "black file"](https://salsa.debian.org/qa/jenkins.debian.net/commit/5af41bfb).
    * [Bring up nodes on-demand](https://salsa.debian.org/qa/jenkins.debian.net/commit/f936f7e8).
    * [Configure Apache to serve the Reproducible Builds style guide](https://salsa.debian.org/qa/jenkins.debian.net/commit/aa9950ae) and [add a job to build it from Git](https://salsa.debian.org/qa/jenkins.debian.net/commit/a76e2c5c).
    * Huge number of changes splitting [`reproducible_common.py` into a separate Python module](https://salsa.debian.org/qa/jenkins.debian.net/commit/2ed99f7b) including [making a slew of attribute evaluations lazy](https://salsa.debian.org/qa/jenkins.debian.net/commit/82d7eb9f), [moving the UDD and bug-gathering logic in a separated module](https://salsa.debian.org/qa/jenkins.debian.net/commit/962958ec), [removing the `NotedPkg` class and attach the notes to `Build` instead](https://salsa.debian.org/qa/jenkins.debian.net/commit/958c1102) & [moving various helper functions](https://salsa.debian.org/qa/jenkins.debian.net/commit/bd1a4080).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [curl](https://github.com/curl/curl/pull/2646) (merged, FTBFS-2025)
    * [cardpeek](https://github.com/L1L1/cardpeek/pull/97) (`.tar.gz`, orphaned package)
    * [enigmail](https://gitlab.com/enigmail/enigmail/merge_requests/5) (sort `readdir(2)`)
    * [ncftp](https://build.opensuse.org/request/show/616808) (`uname`)
    * [nant](https://build.opensuse.org/request/show/616821) (date)

* Chris Lamb:

    * [#901307](https://bugs.debian.org/901307) filed against [sphinx-gallery](https://tracker.debian.org/pkg/sphinx-gallery) ([forwarded upstream](https://github.com/sphinx-gallery/sphinx-gallery/pull/390)).
    * [#901428](https://bugs.debian.org/901428) filed against [pyraf](https://tracker.debian.org/pkg/pyraf).
    * [#901481](https://bugs.debian.org/901481) filed against [cpl-plugin-uves](https://tracker.debian.org/pkg/cpl-plugin-uves).
    * [#901587](https://bugs.debian.org/901587) filed against [allegro4.4](https://tracker.debian.org/pkg/allegro4.4).
    * [#901611](https://bugs.debian.org/901611) filed against [enigmail](https://tracker.debian.org/pkg/enigmail).
    * [#901615](https://bugs.debian.org/901615) filed against [log4cxx](https://tracker.debian.org/pkg/log4cxx).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
