---
layout: blog
week: 166
published: 2018-07-02 21:16:38
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday June 24 and Saturday June 30 2018:

* Bernhard M. Wiedemann wrote about [reproducible builds in openSUSE and SLE](https://www.suse.com/c/reproducible-builds-in-opensuse-and-sle/).

* [Mes](https://gitlab.com/janneke/mes), a Scheme-based compiler for our "sister" [bootstrappable builds](http://bootstrappable.org) effort, [announced their 0.16 release](https://lists.reproducible-builds.org/pipermail/rb-general/2018-June/001066.html).

* Bernhard M. Wiedemann also wrote to our mailing list [on his progress towards a reproducible GCC](https://lists.reproducible-builds.org/pipermail/rb-general/2018-June/001068.html).

* [Daniel Kahn Gillmor (dkg)](https://dkg.fifthhorseman.net/) wrote a blog post entitled "[Protecting Software Updates"](https://dkg.fifthhorseman.net/blog/protecting-software-updates.html) which touched on reproducible builds.

* A paper entitled "[Automated Localization for Unreproducible Builds](https://arxiv.org/abs/1803.06766)" was published by Zhilei Ren, He Jiang, Jifeng Xuan and Zijiang Yang from the [Dalian University of Technology, Dalian](https://en.dlut.edu.cn/), China.

* 7 package reviews were been added, 3 have been updated and 5 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

* Mattia Rizzolo updated our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) to [mark the `hb0-armhf-rb.debian.net` node as offline](https://salsa.debian.org/qa/jenkins.debian.net/commit/a4cb55b8).

* Santiago Torres [arranged our next IRC meeting](https://pad.riseup.net/p/reproducible-irc-meeting-20180717-16UTC) for the [17th of July at 16:00 UTC](http://time.is/compare/1600_17_Jul_2018_in_UTC) ([agenda](https://pad.riseup.net/p/reproducible-irc-meeting-20180717-16UTC)).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:
    * [#902745](https://bugs.debian.org/902745) filed against [clipper](https://tracker.debian.org/pkg/clipper).
    * [#902270](https://bugs.debian.org/902270) filed against [opgpcard](https://tracker.debian.org/pkg/opgpcard).

diffoscope development
----------------------

[diffoscope](https://diffoscope.org) versions [97](https://tracker.debian.org/news/968711/accepted-diffoscope-97-source-all-into-unstable/) and [98](https://tracker.debian.org/news/968792/accepted-diffoscope-98-source-all-into-unstable/) were uploaded to Debian unstable by Chris Lamb. They [included contributions already covered in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/97) as well as new ones from:

* Chris Lamb:
    * [Fix compatibility with Python 3.7](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f77d2b1).
    * [Create all temporary directories within a top-level dir](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6e6afd3) ([#902627](https://bugs.debian.org/902627))
    * [Fix compatibility with pytest 3.6.2-1, currently in Debian experimental](https://salsa.debian.org/reproducible-builds/diffoscope/commit/dac0085).

Chris Lamb also updated the SSL certificate for [try.difoscope.org](https://try.diffoscope.org).


Authors
-------

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
