---
layout: blog
week: 176
published: 2018-09-10 17:12:29
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday September 2 and Saturday September 8 2018:

* The *trydiffoscope* command-line client for [try.diffoscope.org](https://try.diffoscope.org) was [uploaded to Debian unstable](https://tracker.debian.org/news/985852/accepted-trydiffoscope-6701-source-all-into-unstable/) by Chris Lamb. It [included contributions already covered in previous weeks](https://salsa.debian.org/reproducible-builds/trydiffoscope/commits/debian/67.0.1) as well as adding a [add missing `Build-Depends` on `dh-python`](https://salsa.debian.org/reproducible-builds/trydiffoscope/commit/fa02645).

* There were further updates for [our website](https://reproducible-builds.org/) including Arnout Engelen [fixing some presentation titles and URLs](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/82faf41) and making some initial changes to [use the logo and colours from our style guide](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/8bf46ad) which were subsequently adjusted by Chris Lamb to avoid [breaking the navigation](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/57f586a) and [ensuring images were visible on all pages](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/4b4da9d) on the site.

* Our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) was updated this week, including Holger Levsen [explaining how to cleanup `systemctl`'s state](https://salsa.debian.org/qa/jenkins.debian.net/commit/3fb7f9bd) and to [drop a "work-in-progress" disclaimer](https://salsa.debian.org/qa/jenkins.debian.net/commit/d1652e71) and Hans-Christoph Steiner [added new packages to the FDroid dependency list](https://salsa.debian.org/qa/jenkins.debian.net/commit/ee95c182).

* 11 Debian package reviews were added, 9 were updated and 11 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). A new [`randomness_in_frozenset_representations_in_sphinx`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/119c65aa) toolchain issue was identified and added by Chris Lamb.

Patches filed
-------------

* Bernhard M. Wiedemann:

    * [fs-uae](https://github.com/FrodeSolheim/fs-uae/pull/182) (zip order, date)
    * [varnish](https://github.com/varnishcache/varnish-cache/commit/d6b3076bd0e1bacbdfc5ab869696048ed0d7009b) (merged, replace randomness with digest + [fixup](https://github.com/varnishcache/varnish-cache/pull/2759))
    * [pesign-obs-integration](https://github.com/openSUSE/pesign-obs-integration/pull/8) (merged bugfix + [more bugs](https://github.com/openSUSE/pesign-obs-integration/issues/9))
    * [kdoctools](https://bugs.kde.org/show_bug.cgi?id=398263) (parallelism-race bug)
    * [openmpi](https://github.com/open-mpi/ompi/pull/5653) (user+host)
    * [openmpi3](https://build.opensuse.org/request/show/632805) (date+hostname)
    * [tog-pegasus](https://build.opensuse.org/request/show/634516) (drop timestamp)
    * [build-compare](https://github.com/openSUSE/build-compare/pull/28) (merged, bugfix, ignored diffs)
    * [OBS](https://github.com/openSUSE/open-build-service/issues/5784) (issues with unreproducible noarch packages)
    * [graphviz](https://gitlab.com/graphviz/graphviz/merge_requests/1290) (merged, sort `glob(3)` / `readdir(2)`)
    * [python-pymol](https://github.com/schrodinger/pymol-open-source/pull/6) (merged, sort python glob / `readdir(2)`)
    * [graphviz/sfio](https://gitlab.com/graphviz/graphviz/issues/1422) (benchmarking)
    * [stressapptest](https://github.com/stressapptest/stressapptest/pull/65) (date+user+host)

* Chris Lamb:

    * [#907793](https://bugs.debian.org/907793) filed against [libgit2-glib](https://tracker.debian.org/pkg/libgit2-glib).
    * [#907929](https://bugs.debian.org/907929) filed against [taopm](https://tracker.debian.org/pkg/taopm).
    * [#908040](https://bugs.debian.org/908040) filed against [sphinxcontrib-restbuilder](https://tracker.debian.org/pkg/sphinxcontrib-restbuilder).
    * [#908219](https://bugs.debian.org/908219) filed against [libhinawa](https://tracker.debian.org/pkg/libhinawa).
    * [#908222](https://bugs.debian.org/908222) filed against [octavia](https://tracker.debian.org/pkg/octavia).
    * [#908309](https://bugs.debian.org/908309) filed against [gdk-pixbuf](https://tracker.debian.org/pkg/gdk-pixbuf).
    * [sphinx](https://github.com/sphinx-doc/sphinx/pull/5388) (merged, sort frozenset)
    * [sphinx-gallery](https://github.com/sphinx-gallery/sphinx-gallery/pull/390#issuecomment-418199063) (merged, drop build duration from output)

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
