---
layout: blog
week: 51
published: 2016-04-20 18:04:48
---

What happened in the [reproducible
builds](https://wiki.debian.org/ReproducibleBuilds) effort between April 10th and April 16th 2016:

Toolchain fixes
---------------

 * Roland Rosenfeld uploaded [transfig](https://tracker.debian.org/transfig)/1:3.2.5.e-6 which honors [SOURCE_DATE_EPOCH](https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal). [Original patch](https://bugs.debian.org/819911) by Alexis Bienvenüe.
 * Bill Allombert uploaded [gap](https://tracker.debian.org/gap)/4r8p3-2 which makes `convert.pl` honor `SOURCE_DATE_EPOCH`. [Original patch](https://bugs.debian.org/819730) by Jerome Benoit, [duplicate patch](https://bugs.debian.org/820745) by Dhole.
 * Emmanuel Bourg uploaded [ant](https://tracker.debian.org/ant)/1.9.7-1 which makes the Javadoc task use UTF-8 as the default encoding if none was specified and `SOURCE_DATE_EPOCH` is set.

Antoine Beaupré suggested that [gitpkg stops recording timestamps](https://bugs.debian.org/820842) when creating upstream archives. Antoine Beaupré also pointed out that [git-buildpackage diverges from the default gzip settings](https://bugs.debian.org/820846) which is a problem for reproducibly recreating released tarballs which were made using the defaults.

Alexis Bienvenüe [submitted a patch](https://bugs.debian.org/820895) extending [sphinx](https://tracker.debian.org/sphinx) `SOURCE_DATE_EPOCH` support to copyright year.

Packages fixed
--------------

The following packages have become reproducible due to changes in their
build dependencies:
[atinject-jsr330](https://tracker.debian.org/atinject-jsr330),
[avis](https://tracker.debian.org/avis),
[brailleutils](https://tracker.debian.org/brailleutils),
[charactermanaj](https://tracker.debian.org/charactermanaj),
[classycle](https://tracker.debian.org/classycle),
[commons-io](https://tracker.debian.org/commons-io),
[commons-javaflow](https://tracker.debian.org/commons-javaflow),
[commons-jci](https://tracker.debian.org/commons-jci),
[gap-radiroot](https://tracker.debian.org/gap-radiroot),
[jebl2](https://tracker.debian.org/jebl2),
[jetty](https://tracker.debian.org/jetty),
[libcommons-el-java](https://tracker.debian.org/libcommons-el-java),
[libcommons-jxpath-java](https://tracker.debian.org/libcommons-jxpath-java),
[libjackson-json-java](https://tracker.debian.org/libjackson-json-java),
[libjogl2-java](https://tracker.debian.org/libjogl2-java),
[libmicroba-java](https://tracker.debian.org/libmicroba-java),
[libproxool-java](https://tracker.debian.org/libproxool-java),
[libregexp-java](https://tracker.debian.org/libregexp-java),
[mobile-atlas-creator](https://tracker.debian.org/mobile-atlas-creator),
[octave-econometrics](https://tracker.debian.org/octave-econometrics),
[octave-linear-algebra](https://tracker.debian.org/octave-linear-algebra),
[octave-odepkg](https://tracker.debian.org/octave-odepkg),
[octave-optiminterp](https://tracker.debian.org/octave-optiminterp),
[rapidsvn](https://tracker.debian.org/rapidsvn),
[remotetea](https://tracker.debian.org/remotetea),
[ruby-rinku](https://tracker.debian.org/ruby-rinku),
[tachyon](https://tracker.debian.org/tachyon),
[xhtmlrenderer](https://tracker.debian.org/xhtmlrenderer).

The following packages became reproducible after getting fixed:

 * [autopkgtest](https://tracker.debian.org/autopkgtest)/3.20.3 uploaded by Martin Pitt, [original patch](https://bugs.debian.org/820148) by Alexis Bienvenüe.
 * [fop](https://tracker.debian.org/fop)/1:2.1-3 uploaded by Mathieu Malaterre, [original patch](https://bugs.debian.org/820684) by Alexis Bienvenüe.
 * [fwupdate](https://tracker.debian.org/fwupdate)/0.5-4 by Mario Limonciello.
 * [gem](https://tracker.debian.org/gem)/1:0.93.3-10 by IOhannes m zmölnig.
 * [imview](https://tracker.debian.org/imview)/1.1.9c-16 by Anton Gladky.
 * [libappindicator](https://tracker.debian.org/libappindicator)/0.4.92-4 by Adam Borowski.
 * [libjlha-java](https://tracker.debian.org/libjlha-java)/0.0.20050504-9 by Emmanuel Bourg.
 * [lwjgl](https://tracker.debian.org/lwjgl)/2.9.3+dfsg-1 by Markus Koschany.
 * [lxc](https://tracker.debian.org/lxc)/1:2.0.0~rc15-1 uploaded by Evgeni Golov, [original patch](https://bugs.debian.org/807837) by Reiner Herrmann.
 * [manpages-de](https://tracker.debian.org/manpages-de)/1.12-1 uploaded by Tobias Quathamer, [original patch](https://bugs.debian.org/815192) by Reiner Herrmann.
 * [pd-mrpeach](https://tracker.debian.org/pd-mrpeach)/0.1~svn17615-1 by IOhannes m zmölnig.
 * [pyhoca-gui](https://tracker.debian.org/pyhoca-gui)/0.5.0.6-1 uploaded by Mike Gabriel, [original patch](https://bugs.debian.org/792668) by Chris Lamb.
 * [r-cran-spatstat](https://tracker.debian.org/r-cran-spatstat)/1.45-0-1 by Andreas Tille.
 * [s5](https://tracker.debian.org/s5)/1.1.dfsg.2-6 uploaded by Peter Pentchev, [original patch](https://bugs.debian.org/785583) by Juan Picca.
 * [samba](https://tracker.debian.org/samba)/2:4.3.8+dfsg-1 by Jelmer Vernooĳ.
 * [sim4](https://tracker.debian.org/sim4)/0.0.20121010-3 uploaded by Andreas Tille, [original patch](https://bugs.debian.org/820741) by Alexis Bienvenüe.
 * [svxlink](https://tracker.debian.org/svxlink)/15.11-1 uploaded by Felix Lechner, [fixed upstream](https://github.com/sm0svx/svxlink/commit/cc9f77fdf84267d61120e0305cb7445449a100fe).
 * [tinc](https://tracker.debian.org/tinc)/1.0.28-1 by Guus Sliepen, [fixed upstream](https://www.tinc-vpn.org/git/browse?p=tinc;a=commitdiff;h=1cba96d26413a953415487729f2062331ef2aa72).
 * [ucblogo](https://tracker.debian.org/ucblogo)/6.0+dfsg-1 by Reiner Herrmann.

Some uploads fixed some reproducibility issues, but not all of them:

 * [mm-common](https://tracker.debian.org/mm-common)/0.9.10-1 by Michael Biebl.

Patches submitted which have not made their way to the archive yet:

 * [#820603](https://bugs.debian.org/820603) on [viking](https://tracker.debian.org/viking) by Alexis Bienvenüe: fix icon headers inclusion order.
 * [#820661](https://bugs.debian.org/820661) on [nullmailer](https://tracker.debian.org/nullmailer) by Alexis Bienvenüe: fix the order in which files are included in the static archive.
 * [#820668](https://bugs.debian.org/820668) on [sawfish](https://tracker.debian.org/sawfish) by Alexis Bienvenüe: fix file ordering in theme archives, strip hostname and username from the `config.h` file, and honour `SOURCE_DATE_EPOCH` when creating the `config.h` file.
 * [#820740](https://bugs.debian.org/820740) on [bless](https://tracker.debian.org/bless) by Alexis Bienvenüe: always use `/bin/sh`  as shell.
 * [#820742](https://bugs.debian.org/820742) on [gmic](https://tracker.debian.org/gmic) by Alexis Bienvenüe: strip the build date from help messages.
 * [#820809](https://bugs.debian.org/820809) on [wsdl4j](https://tracker.debian.org/wsdl4j) by Alexis Bienvenüe: use a plain text representation of the copyright character.
 * [#820815](https://bugs.debian.org/820815) on [freefem++](https://tracker.debian.org/freefem++) by Alexis Bienvenüe: fix the order in which files are included in the `.edp` files, and honour `SOURCE_DATE_EPOCH` when using the build date.
 * [#820869](https://bugs.debian.org/820869) on [pyexiv2](https://tracker.debian.org/pyexiv2) by Alexis Bienvenüe: honour the `SOURCE_DATE_EPOCH` environment variable through the ustrftime function, to get a reproducible copyright year.
 * [#820932](https://bugs.debian.org/820932) on [fim](https://tracker.debian.org/fim) by Alexis Bienvenüe: fix the order in which files are joined in header files, strip the build date from `fim` binary, make the embedded `vim2html` script honour `SOURCE_DATE_EPOCH` variable when building the documentation, and force language to be English when using bison to make a grammar that is going to be parsed using English keywords.
 * [#820990](https://bugs.debian.org/820990) on [grib-api](https://tracker.debian.org/grib-api) by Santiago Vila: always call `dh-buildinfo`.

diffoscope development
----------------------
Zbigniew Jędrzejewski-Szmek noted in [#820631](https://bugs.debian.org/820631) that diffoscope doesn't work properly when a file contains several cpio archives.

Package reviews
---------------

21 [reviews](https://reproducible.debian.net/unstable/amd64/index_notes.html) have been added, 14 updated and 22 removed in this week.

New issue found: [timestamps_in_htm_by_gap](https://reproducible.debian.net/issues/unstable/timestamps_in_htm_by_gap_issue.html).

Chris Lamb reported 10 new FTBFS issues.


Misc.
-----
The [video](https://media.libreplanet.org/u/libreplanet/m/beyond-reproducible-builds/) and the [slides](https://wiki.debian.org/ReproducibleBuilds/About?action=AttachFile&do=view&target=2016-03-20-libreplanet.pdf) from the talk "Reproducible builds ecosystem" at LibrePlanet 2016 have been published now.

This week's edition was written by Lunar and Holger Levsen. h01ger automated the maintenance and publishing of this weekly newsletter via [git](https://salsa.debian.org/reproducible-builds/blog.git/tree/README).
