---
layout: blog
week: 57
published: 2016-05-30 21:05:43
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between May 22nd and May 28th 2016:

Media coverage
--------------

 * Holger Levsen was invited to [RIPE72](https://ripe72.ripe.net) to talk about [Reproducible Builds and a hope for a more secure future](https://ripe72.ripe.net/archive/video/Holger_Levsen-Reproducible_Builds_for_Debian%2C_and_a_Hope_for_a_More_Secure_Future-20160526-095438.mp4) (Video, 25min and [slides](https://ripe72.ripe.net/presentations/158-2016-05-24-ripe72.pdf)) in the [cooperative workgroup](https://ripe72.ripe.net/programme/meeting-plan/coop-wg/).
 * Scarlett Clark blogged about her first week of [Outreachy work](https://www.gnome.org/outreachy/) trying to make packages build reproducible, [describing her efforts with kapptemplate, choqok and kdevplatform](http://scarlettgatelyclark.com/2016/debian-outreachy-debian-reproducible-builds-week-1-progress-report/).

Documentation update
--------------------

 * The wiki page [TimestampsProposal](https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal) has been extended to cover more usage examples and to list more software supporting SOURCE_DATE_EPOCH. (Axel Beckert, Dhole and Ximin Luo)
 * h01ger started a [reference card for tools and information about reproducible builds](https://salsa.debian.org/reproducible-builds/reference-card.git) but hasn't progressed much yet. Help with it is much welcome, this is also a good opportunity to learn about this project ;-) The idea is simply to have one coherent place with pointers to all the stuff we have and provide, without repeating nor replacing other documentation.

Toolchain fixes
---------------

 * Alexis Bienvenüe submitted a patch ([#824050](https://bugs.debian.org/824050)) against [emacs24](https://tracker.debian.org/pkg/emacs24) for `SOURCE_DATE_EPOCH` support in autoloads files, but upstream already [disabled timestamps by default](http://git.savannah.gnu.org/cgit/emacs.git/tree/etc/NEWS#n406) some time before.
 * [proj](https://tracker.debian.org/pkg/proj)/4.9.2-3 uploaded by Bas Couwenberg ([#825088](https://bugs.debian.org/825088) by Alexis Bienvenü) properly initializes memory with zero to prevent the nad2bin tool from leaking random memory content into output artefacts.
 * Reiner Herrmann submitted a patch ([#825569](https://bugs.debian.org/825569), [upstream](https://github.com/ruby/ruby/pull/1367)) against Ruby to sort object files in generated Makefiles, which are used to compile C sources that are part of Ruby projects.

Packages fixed
--------------

The following 18 packages have become reproducible due to changes in their
build dependencies:
[canl-c](https://tracker.debian.org/pkg/canl-c)
[configshell](https://tracker.debian.org/pkg/configshell)
[dbus-java](https://tracker.debian.org/pkg/dbus-java)
[dune-common](https://tracker.debian.org/pkg/dune-common)
[frobby](https://tracker.debian.org/pkg/frobby)
[frown](https://tracker.debian.org/pkg/frown)
[installation-guide](https://tracker.debian.org/pkg/installation-guide)
[jexcelapi](https://tracker.debian.org/pkg/jexcelapi)
[libjsyntaxpane-java](https://tracker.debian.org/pkg/libjsyntaxpane-java)
[malaga](https://tracker.debian.org/pkg/malaga)
[octave-ocs](https://tracker.debian.org/pkg/octave-ocs)
[paje.app](https://tracker.debian.org/pkg/paje.app)
[pd-boids](https://tracker.debian.org/pkg/pd-boids)
[pfstools](https://tracker.debian.org/pkg/pfstools)
[r-cran-rniftilib](https://tracker.debian.org/pkg/r-cran-rniftilib)
[scscp-imcce](https://tracker.debian.org/pkg/scscp-imcce)
[snort](https://tracker.debian.org/pkg/snort)
[vim-addon-manager](https://tracker.debian.org/pkg/vim-addon-manager)

The following packages have become reproducible after being fixed:

 * [apngasm](https://tracker.debian.org/pkg/apngasm)/2.7-2 by Manuel A. Fernandez Montecelo, [#782200](https://bugs.debian.org/782200) by Reiner Herrmann.
 * [apngdis](https://tracker.debian.org/pkg/apngdis)/2.5-2 by Manuel A. Fernandez Montecelo, [#782197](https://bugs.debian.org/782197) by Reiner Herrmann.
 * [apngopt](https://tracker.debian.org/pkg/apngopt)/1.2-2 by Manuel A. Fernandez Montecelo, [#782193](https://bugs.debian.org/782193) by Reiner Herrmann.
 * [asio](https://tracker.debian.org/pkg/asio)/1:1.10.6-4 by Markus Wanner.
 * [bowtie](https://tracker.debian.org/pkg/bowtie)/1.1.2-4 by Sascha Steinbiss.
 * [bowtie2](https://tracker.debian.org/pkg/bowtie2)/2.2.9-2 by Sascha Steinbiss.
 * [breeze](https://tracker.debian.org/pkg/breeze)/4:5.6.4-1 by Maximiliano Curia, [#819512](https://bugs.debian.org/819512) by Eduard Sanou.
 * [cain](https://tracker.debian.org/pkg/cain)/1.10+dfsg-2 by Sascha Steinbiss.
 * [cdist](https://tracker.debian.org/pkg/cdist)/4.0.0-2 by Dmitry Bogatov, [#825406](https://bugs.debian.org/825406) by Chris Lamb.
 * [crossroads](https://tracker.debian.org/pkg/crossroads)/2.81-1 by Reiner Herrmann.
 * [elasticsearch](https://tracker.debian.org/pkg/elasticsearch)/1.7.5-1 by Emmanuel Bourg.
 * [gdal](https://tracker.debian.org/pkg/gdal)/2.1.0+dfsg-3 by Bas Couwenberg, [#824808](https://bugs.debian.org/824808) by Alexis Bienvenüe.
 * [grass](https://tracker.debian.org/pkg/grass)/7.0.4-2 by Bas Couwenberg, [#825092](https://bugs.debian.org/825092) by Alexis Bienvenüe.
 * [jaligner](https://tracker.debian.org/pkg/jaligner)/1.0+dfsg-3 by Michael R. Crusoe.
 * [khmer](https://tracker.debian.org/pkg/khmer)/2.0+dfsg-7 by Michael R. Crusoe.
 * [libhdf4](https://tracker.debian.org/pkg/libhdf4)/4.2.11-2 by Bas Couwenberg.
 * [libjspeex-java](https://tracker.debian.org/pkg/libjspeex-java)/0.9.7-4 by Emmanuel Bourg.
 * [libmialm](https://tracker.debian.org/pkg/libmialm)/1.0.9-1 by Gert Wollny.
 * [libtheora](https://tracker.debian.org/pkg/libtheora)/1.1.1+dfsg.1-10 by Petter Reinholdtsen.
 * [odil](https://tracker.debian.org/pkg/odil)/0.6.0-2 by Julien Lamy.
 * [pacemaker](https://tracker.debian.org/pkg/pacemaker)/1.1.15~rc3-1 by Ferenc Wágner.
 * [pvm](https://tracker.debian.org/pkg/pvm)/3.4.6-1 by James Clarke.
 * [rna-star](https://tracker.debian.org/pkg/rna-star)/2.5.2a+dfsg-2 by Sascha Steinbiss.
 * [smalt](https://tracker.debian.org/pkg/smalt)/0.7.6-6 by Sascha Steinbiss.
 * [soapdenovo2](https://tracker.debian.org/pkg/soapdenovo2)/240+dfsg-3 by Sascha Steinbiss.
 * [svtplay-dl](https://tracker.debian.org/pkg/svtplay-dl)/1.1-1 by Olof Johansson.
 * [t-coffee](https://tracker.debian.org/pkg/t-coffee)/11.00.8cbe486-3 by Sascha Steinbiss.
 * [toppred](https://tracker.debian.org/pkg/toppred)/1.10-3 by Sascha Steinbiss.
 * [transdecoder](https://tracker.debian.org/pkg/transdecoder)/3.0.0+dfsg-2 by Michael R. Crusoe.
 * [vpim](https://tracker.debian.org/pkg/vpim)/0.695-1.4 by Herbert Parentes Fortes Neto.
 * [vtk-dicom](https://tracker.debian.org/pkg/vtk-dicom)/0.7.7-2 by Gert Wollny.
 * [xplc](https://tracker.debian.org/pkg/xplc)/0.3.13-6 by Reiner Herrmann.

Some uploads have fixed some reproducibility issues, but not all of them:

 * [codeblocks](https://tracker.debian.org/pkg/codeblocks)/16.01+dfsg-1 by Vincent Cheng, [#824182](https://bugs.debian.org/824182) by Fabian Wolff.
 * [gmt](https://tracker.debian.org/pkg/gmt)/5.2.1+dfsg-6 by Bas Couwenberg, [#824668](https://bugs.debian.org/824668) by Alexis Bienvenü.

Patches submitted that have not made their way to the archive yet:

 * [#803547](https://bugs.debian.org/803547) against [bbswitch](https://tracker.debian.org/pkg/bbswitch) (reopened) by Reiner Herrmann: sort members of tar archive
 * [#806945](https://bugs.debian.org/806945) against [bash](https://tracker.debian.org/pkg/bash) (follow-up) by Reiner Herrmann: use system man2html instead of embedded copy
 * [#825122](https://bugs.debian.org/825122) against [kapptemplate](https://tracker.debian.org/pkg/kapptemplate) by Scarlett Clark: set owner/group of members in tarball to root
 * [#825138](https://bugs.debian.org/825138) against [console-setup](https://tracker.debian.org/pkg/console-setup) by Reiner Herrmann: fix umask issue; sort entries in shell script; sort fontsets/charmaps locale-independently
 * [#825285](https://bugs.debian.org/825285) against [kodi](https://tracker.debian.org/pkg/kodi) by Lukas Rechberger: replace build timestamps with version numbers
 * [#825322](https://bugs.debian.org/825322) against [choqok](https://tracker.debian.org/pkg/choqok) by Scarlett Clark: force UTF-8 locale so kconfig_compiler behaves correctly
 * [#825544](https://bugs.debian.org/825544) against [wavemon](https://tracker.debian.org/pkg/wavemon) by Reiner Herrmann: sort list of object files
 * [#825545](https://bugs.debian.org/825545) against [dwm](https://tracker.debian.org/pkg/dwm) by Reiner Herrmann: sort list of header files
 * [#825547](https://bugs.debian.org/825547) against [tennix](https://tracker.debian.org/pkg/tennix) by Reiner Herrmann: sort list of data files being archived
 * [#825584](https://bugs.debian.org/825584) against [ffmpeg2theora](https://tracker.debian.org/pkg/ffmpeg2theora) by Reiner Herrmann: sort list of source files
 * [#825588](https://bugs.debian.org/825588) against [kball](https://tracker.debian.org/pkg/kball) by Reiner Herrmann: sort list of source files
 * [#825634](https://bugs.debian.org/825634) against [miceamaze](https://tracker.debian.org/pkg/miceamaze) by Reiner Herrmann: sort list of object files
 * [#825643](https://bugs.debian.org/825643) against [dash](https://tracker.debian.org/pkg/dash) by Reiner Herrmann: fix sorting of struct members in generated source file
 * [#825655](https://bugs.debian.org/825655) against [libselinux](https://tracker.debian.org/pkg/libselinux) by Reiner Herrmann: sort list of source files
 * [#825656](https://bugs.debian.org/825656) against [libsepol](https://tracker.debian.org/pkg/libsepol) by Reiner Herrmann: sort list of source files
 * [#825674](https://bugs.debian.org/825674) against [libsemanage](https://tracker.debian.org/pkg/libsemanage) by Reiner Herrmann: sort list of source files

Package reviews
---------------

123 reviews have been added, 57 have been updated and 135 have been removed in this week.

 * 5 new issues have been identified:
   * [timestamps_in_pdf_generated_by_imagemagick](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_pdf_generated_by_imagemagick_issue.html)
   * [ruby_mkmf_makefile_unsorted_objects](https://tests.reproducible-builds.org/issues/unstable/ruby_mkmf_makefile_unsorted_objects_issue.html)
   * [timestamps_from_timestamp_macro](https://tests.reproducible-builds.org/issues/unstable/timestamps_from_timestamp_macro_issue.html)
   * [scons_doesnt_pass_environment_to_build_tools](https://tests.reproducible-builds.org/issues/unstable/scons_doesnt_pass_environment_to_build_tools_issue.html)
   * [timestamps_from_cpp_macros_in_d](https://tests.reproducible-builds.org/issues/unstable/timestamps_from_cpp_macros_in_d_issue.html)

21 FTBFS bugs have been reported by Chris Lamb and Santiago Vila.

strip-nondeterminism development
--------------------------------

 * strip-nondeterminsim development: treat *.htb as Zip files (by Sascha Steinbiss).
 * [strip-nondeterminism](https://tracker.debian.org/pkg/strip-nondeterminism) 0.017-1 uploaded by h01ger.

tests.reproducible-builds.org
-----------------------

 * The [kde pkg set](https://tests.reproducible-builds.org/unstable/amd64/pkg_set_kde.html) was extended, though the change ain't visible yet, as there are currently non-installable packages in it (and so the set can't be computed). (h01ger)

Misc.
-----

 * Mattia improved [misc.git/reports](https://salsa.debian.org/reproducible-builds/misc.git/tree/reports) (=the tools to help writing the weekly statistics for this blog) some more.


This week's edition was written by Reiner Herrmann and Holger Levsen and reviewed by a bunch of Reproducible builds folks on IRC.
