---
layout: blog
week: 74
published: 2016-09-26 21:09:12
---

Here is what happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday September 18 and Saturday September 24 2016:

Outreachy
---------

We intend to participate in [Outreachy Round 13](https://wiki.debian.org/Outreachy/Round13/Projects/ReproducibleBuildsOfDebian) and look forward for new enthusiastic applications to contribute to reproducible builds. We're offering four different areas to work on:

- Improve test and debugging tools.
- Improving reproducibility of Debian packages.
- Improving Debian infrastructure.
- Help collaboration across distributions.

Reproducible Builds World summit #2 
-----------------------------------

We are planning e a similar event to our [Athens 2015 summit](https://reproducible-builds.org/events/athens2015/) and expect to reveal more information soon. If you haven't been contacted yet but would like to attend, please contact [holger](mailto:holger@layer-acht.org).

Toolchain development and fixes
-------------------------------

Mattia uploaded [dpkg](https://tracker.debian.org/pkg/dpkg)/1.18.10.0~reproducible1 to our [experimental repository](https://wiki.debian.org/ReproducibleBuilds/ExperimentalToolchain).
and [covered the details for the upload](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160919/007119.html) in a mailing list post.

The most important change is the incorporation of improvements made by Guillem
Jover (dpkg maintainer) to the .buildinfo generator. This is also in the hope
that it will speed up the merge in the upstream.

One of the other relevant changes from before is that .buildinfo files
generated from binary-only builds will no longer include the hash of the .dsc
file in Checksums-Sha256 as documented in the
[specification](https://wiki.debian.org/ReproducibleBuilds/BuildinfoSpecification#buildinfo_field_descriptions).

Even if it was considered important to include a checksum of the source package
in .buildinfo, storing it that way breaks other assumptions (eg. that
Checksums-Sha256 contains only files part of that are part of a single upload,
whereas the .dsc might not be part of that upload), thus we look forward for
another solution to store the source checksum in .buildinfo.

Bugs filed
----------

* [#838713](https://bugs.debian.org/838713) filed against [python-xlib](https://tracker.debian.org/pkg/python-xlib) by Chris Lamb.
* [#838754](https://bugs.debian.org/838754) filed against [golang-google-grpc](https://tracker.debian.org/pkg/golang-google-grpc) by Chris Lamb.
* [#838188](https://bugs.debian.org/838188) filed against [ocaml](https://tracker.debian.org/pkg/ocaml) by Johannes Schauer.
* [#838785](https://bugs.debian.org/838785) filed against [funnelweb](https://tracker.debian.org/pkg/funnelweb) by Reiner Herrmann.

Reviews of unreproducible packages
----------------------------------

250 package reviews have been added, 4 have been updated and 4 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 issue types have been added:

- [captures\_users\_gecos issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/584deb2)
- [timestamps\_in\_org\_mode\_html\_output toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f9da49e)
- [varnish\_vmodtool\_random\_file\_id](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f269ff7)
- [gpg\_keyring\_magic\_bytes\_differ](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/bf419e3)

3 issue types have been updated:

- [timestamps\_in\_org\_mode\_html\_output more generally.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5b2aaa1)
- [timestamps\_in\_documentation\_generated\_by\_texi2html](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/2422954)
- [randomness\_in\_ocaml\_preprocessed\_files](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/65250b4)

Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Chris Lamb (11)
 - Santiago Vila (2)

Documentation updates
---------------------

h01ger created a new Jenkins job so that every commit pushed to the [master branch for the website](https://git.debian.org/git/reproducible/reproducible-website.git) will update [reproducible-builds.org](https://reproducible-builds.org/).


diffoscope development
----------------------

- Mattia Rizzolo:
  - [Skip rlib tests if the "nm" tool is missing](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1d7bea1)
- Ximin Luo:
  - [Give better advice about what envvar to set to make the console work](https://salsa.debian.org/reproducible-builds/diffoscope/commit/436253a)
  - [tests/basic-command-line: check exit code and use a more complex example](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7adb6b7)
  - [Add a script to check sizes of dependencies](https://salsa.debian.org/reproducible-builds/diffoscope/commit/30d00ec)
  - [Don't use unicode quotes to avoid breakage under LC\_ALL=C](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f68fcbd)


strip-nondeterminism development
--------------------------------

- Chris Lamb:
  - [.perltidyrc: Add from lintian.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=dcddf05)
  - [.perltidyrc: We use tabs, not spaces.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=c419282)
  - [Run perltidy](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=d1126e4)

reprotest development
---------------------

- Ximin Luo uploaded reprotest 0.3 and 0.3.1 to unstable with these changes:
  - [Make some variations more reliable, so tests don't fail](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=4797f65)
  - [Add a safety device to guard against typos](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=c0017ce)
  - [Address lintian warnings](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=ec4db94)
  - [Remove any existing artifact, in case the build script doesn't overwrite it](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=6b25439)
  - [Fix the logic of some tests, and don't vary fileordering on Debian buildds](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=0b0e6dc)
  - [Use the magic of VIRTUALENV\_DOWNLOAD=no, seen in tox's own autopkgtest tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=fe49513)
  - [Flush so subprocess output is guaranteed to appear later](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=c1b17ed)
  - [Don't error if the build command generates stderr](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=49e67ca)
  - [Default tests to run on "null" only since it takes effort to set up the others](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=07ec6d1)
  - [hey dawg i herd u liek tests so i put some tests in ur tests so u can test while u test](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=28937c1)
  - [Make no\_clear\_on\_error optional; we don't want to pass it in everywhere e.g. tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=2ea325f)
  - [Output a nice big obvious summary at the end when successful](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=77219d8)
  - [Don't repeat documentation in two different places, move it all to --help](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=714cf5b)
  - [More reliable build artifact pattern matching, and update docs](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=eb4146f)
  - [Use a list comprehension for slightly more idiomatic python than map/lambda](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=0876afc)
  - [Make multi-component artifact patterns like '*.deb *.changes' work correctly](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=225b0e0)
  - [Add a --no-clean-on-error option so you can analyse what went wrong](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=56d4ca3)
  - [More help text for virtual\_server\_args](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=6bddf77)
  - [Support shell patterns as the build\_artifact](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=c904142)
  - [Use sys.exit inside main(), not check() as it's more idiomatic](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=5356853)
  - [Pass kind='build' to check\_exec so it doesn't time out after 100s](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=02119cb)
  - [adt\_testbed: add stdout/stderr to the "auxverb failed" error message, if available](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=44d6ffc)
  - [If no virtual\_server is given then use "null"](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=4a08037)


tests.reproducible-builds.org
-----------------------------

- The full rebuild of all packages in unstable (for all tested archs) with the new build path variation has been completed. This has had the result that we are down to ~75% reproducible packages in unstable now. In comparison, for testing (where we don't vary the build path) we are still at ~90%. IRC notifications for unstable have been enabled again. (Holger)
- Make the notes job robust about bad data (see [#833695](https://bugs.debian.org/833695) and [#833738](https://bugs.debian.org/833738)). (Holger)
- Setup profitbricks-build7 running stretch as testing reproducible builds of F-Droid need to use a newer version of vagrant in order to support running vagrant VMs with kvm on kvm. (Holger)
- The misbehaving 'opi2a' armhf node has been replaced with a Jetson-TK1 board kindly donated by NVidia. This machine is using an NVIDIA tegra-k1 (cortex-a15) quad-core board. (vagrant and Holger)

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen and Mattia Rizzolo and reviewed by a bunch of Reproducible Builds folks on IRC.
