---
layout: blog
week: 87
published: 2016-12-29 14:12:06
---

What happened in the [Reproducible Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday December 18 and Saturday December 24 2016:

Media coverage
--------------

[100% Of The 289 Coreboot Images Are Now Built
Reproducibly](https://www.phoronix.com/scan.php?page=news_item&px=Coreboot-100-Reproducible-Build)
by Phoronix, with [more details in
German](http://www.pro-linux.de/news/1/24303/coreboot-erreicht-100-reproduzierbare-builds.html)
by Pro-Linux.de.

We have further reports on our Reproducible Builds World summit #2 in Berlin
from [Rok Garbas of
NixOS](https://garbas.si/2016/reproducible-builds-summit-in-berlin.html) as
well as [Clemens Lang of
MacPorts](https://lists.macports.org/pipermail/macports-dev/2016-December/035052.html)


Debian infrastructure work
--------------------------

[Dak](https://wiki.debian.org/DebianDak) now archives buildinfo files thanks to
[a patch](https://lists.debian.org/debian-dak/2016/12/msg00011.html) from Chris Lamb. We
also have mostly finalised a design of how they will be distributed by the
Debian FTP mirror network which we will start implementing soon.
This is great for the future of Debianb but unfortunately this also means that we won't have `.buildinfo` files for Stretch as Debian will not rebuild its source packages and because these binary packages currently in the archive were mostly built with `dpkg` > 1.18.11.

[reprepro](https://tracker.debian.org/pkg/reprepro)/5.0.0-1 has added support for dealing with `.buildinfo` files
that are included in `.changes` files. (Closes: [#843402](https://bugs.debian.org/843402))


Reproducible work in other projects
-----------------------------------

The Chromium project is now working on making their build process (mostly)
[deterministic](https://www.chromium.org/developers/testing/isolated-testing/deterministic-builds).

Their motivation is to save both "[money] (less hardware is required) and
developer time (reduced latency by having less work to do on the TS and CI)".


Unreproducible bugs filed
-------------------------

* Chris Lamb:
  * [#848721](https://bugs.debian.org/848721) filed against [apt](https://tracker.debian.org/pkg/apt).
  * [#848866](https://bugs.debian.org/848866) filed against [libcorelinux](https://tracker.debian.org/pkg/libcorelinux).
  * [#849314](https://bugs.debian.org/849314) filed against [node-gulp](https://tracker.debian.org/pkg/node-gulp).
  * [#849333](https://bugs.debian.org/849333) filed against [faker](https://tracker.debian.org/pkg/faker).
* Dhole:
  * [#848633](https://bugs.debian.org/848633) filed against [sugar-toolkit-gtk3](https://tracker.debian.org/pkg/sugar-toolkit-gtk3).


Reviews of unreproducible packages
----------------------------------

39 package reviews have been added, 75 have been updated and 44 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

- Updated [captures_build_path](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_issue.html)
- Added [nondeterministic_ordering_in_desktop_files_by_python_sugar3](https://tests.reproducible-builds.org/issues/unstable/nondeterministic_ordering_in_desktop_files_by_python_sugar3_issue.html)


Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Adrian Bunk (1)
 - Chris Lamb (7)
 - Lucas Nussbaum (4)


diffoscope development
----------------------

diffoscope 66 was [uploaded to
unstable](http://changelogs.debian.net/diffoscope#66) by Chris Lamb. It
[included
contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/66)
from:

* Emanuel Bronshtein:
  * Use ssh-keygen for comparing OpenSSH public keys
  * Use js-beautify as JavaScript code beautifier for .js files (with tests).
  * Many CSS & HTML improvements.
  * Change all HTTP URLs to HTTPS where applicable.
* anthraxx:
  * Enable the use of ssh-keygen on Arch Linux.
* Maria Glukhova:
  * Add detection of order-only difference in plain text format. (Closes: [#848049](https://bugs.debian.org/848049))
  * Change icc-recognizing regexp to reflect changes in file type description. (Closes: [#848814](https://bugs.debian.org/848814))
* Chris Lamb:
  * Update tests for compatibility with enjarify >= 1.0.3. (Closes: [#849142](https://bugs.debian.org/849142))
  * When skipping tests because the version of an external is too low, print
    the detected version.
  * Avoid unpacking packages twice when comparing .changes. (Closes: [#843531](https://bugs.debian.org/843531))
  * Add a simple profiling framework (enabled via --profile).
  * Various code quality and reliability improvements.
  * Document how to sign PyPI uploads.


strip-nondeterminism development
--------------------------------

strip-nondeterminism 0.029-1 was [uploaded to
unstable](http://changelogs.debian.net/strip-nondeterminism#0.029-1) by Chris
Lamb. It included no new content from this week, but rather included
contributions from previous weeks.


reproducible-website development
--------------------------------

The website is now also accessible via the
[https://www.reproducible-builds.org](https://www.reproducible-builds.org) URL.

- Clemens Lang:
  - Add the definition of "reproducible", as drafted at the reproducible builds
    world summit in Berlin. Thanks to all participants in the sessions that
    worked these out!
- Valerie R Young:
  - Force ordering of titles.
  - Various formatting improvements.
- Holger Levsen:
  - Various usability and formatting improvements.
  - [https://www.reproducible-builds.org](https://www.reproducible-builds.org)
- Chris Lamb:
  - Various usability, style and wording improvements.
  - Add Debconf15, Skroutz.gz and MiniDebconfCambridge15 talks to resources page.


tests.reproducible-builds.org
-----------------------

- We changed the data storage backend from a single sqlite3 database file (651 MB) to a
  PostgreSQL database.  With this change we'll be able to scale a lot more and
  add testing of the `arm64` architecture.
  - Valerie Young wrote most of the code, Mattia Rizzolo reviewed and helped
    improve the code and Holger deployed it and found some minor bugs which
    have been fixed.
- We are now testing the [arm64](https://wiki.debian.org/Arm64Port) architecture for [all packages on all suites](https://tests.reproducible-builds.org/debian/unstable/index_suite_arm64_stats.html),
  arranged by Holger. Many thanks to [codethink](https://www.codethink.co.uk/) for providing us with access to eight 8-core `arm64` machines with 64GB memory, which allows us to [rebuild Debian very fast](https://tests.reproducible-builds.org/debian/index_performance.html)!


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen & Chris Lamb and reviewed by
a bunch of Reproducible Builds folks on IRC and the mailing lists.
