---
layout: blog
week: 90
published: 2017-01-18 21:01:19
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
January 8 and Saturday January 14 2017:


Upcoming Events
---------------

- [The Reproducible Build
  Zoo](https://openiotelcna2017.sched.com/event/9Iu4/the-reproducible-build-zoo-vagrant-cascadian-aikidev-llc)
  will be presented by Vagrant Cascadian at the Embedded Linux
  Conference in Portland, Oregon, February 22nd

- Dennis Gilmore and Holger Levsen will present about "Reproducible Builds and
  Fedora" at [Devconf.cz](https://devconf.cz/) on February, 27th.

- [Introduction to Reproducible Builds](https://www.socallinuxexpo.org/scale/15x/presentations/introduction-reproducible-builds)
  will be presented by Vagrant Cascadian at Scale15x in Pasadena, California,
  March 5th


Reproducible work in other projects
-----------------------------------

Reproducible Builds have been mentioned in the [FSF high-priority project
list](https://www.fsf.org/campaigns/priority-projects/security-by-and-for-free-software).

The [F-Droid Verification Server](https://verification.f-droid.org/) has been
launched. It rebuilds apps from source that were built by
[f-droid.org](https://f-droid.org/) and checks that the results match.

Bernhard M. Wiedemann [did some more work](
https://lists.opensuse.org/opensuse-factory/2017-01/msg00120.html) on
reproducibility for openSUSE.

[Bootstrappable.org](http://bootstrappable.org) (unfortunately no HTTPS yet)
was launched after the initial work was started at our recent summit in Berlin.
This is another topic related to reproducible builds and both will be needed in
order to perform "Diverse Double Compilation" in practice in the future.


Toolchain development and fixes
-------------------------------

Ximin Luo researched data formats for `SOURCE_PREFIX_MAP` and explored
different options for encoding a map data structure in a single environment
variable. He also continued to talk with the [rustc
team](https://github.com/rust-lang/rust/pull/38348) on the topic.

Daniel Shahaf filed [#851225](https://bugs.debian.org/851225) ('udd: patches: index by DEP-3 "Forwarded"
status') to make it easier to track our patches.

Chris Lamb forwarded [#849972](https://bugs.debian.org/849972) upstream to
[yard](https://github.com/lsegal/yard/pull/1048), a Ruby documentation
generator. Upstream has fixed the issue as of [release
0.9.6](https://github.com/lsegal/yard/issues/1049).

Alexander Couzens (lynxis) [has made `mksquashfs`
reproducible](https://github.com/squashfs-tools/squashfs-tools) and is
[looking for testers](https://lunarius.fe80.eu/blog/mksquash-dot-graph.html).
It compiles on BSD systems such as FreeBSD, OpenBSD and NetBSD.


Bugs filed
----------

Chris Lamb:

* [#850683](https://bugs.debian.org/850683) filed against [gerbv](https://tracker.debian.org/pkg/gerbv).

Lucas Nussbaum:

* [#850973](https://bugs.debian.org/850973) filed against [shogun](https://tracker.debian.org/pkg/shogun).

Nicola Corna:

* [#851190](https://bugs.debian.org/851190) filed against [gerbv](https://tracker.debian.org/pkg/gerbv).


Reviews of unreproducible packages
----------------------------------

13 package reviews have been added and 13 have been removed in this week,
adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 issue type has been added:

- [help2man_puts_traceback_in_generated_man_page](https://tests.reproducible-builds.org/issues/unstable/help2man_puts_traceback_in_generated_man_page_issue.html)


Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected
and reported by:

 - Chris Lamb (3)
 - Lucas Nussbaum (11)
 - Nicola Corna (1)


diffoscope development
----------------------

<img style="margin-top: 10px; vertical-align: top;"
src="/blog/images/diffoscope_bugs_2016.png" alt="Bugs in diffoscope in the last
year" />

Many bugs [were opened in
diffoscope](https://qa.debian.org/data/bts/graphs/d/diffoscope.png) during the
past few weeks, which probably is a good sign as it shows that diffoscope is
much more widely used than a year ago. We have been working hard to squash many
of them in time for Debian stable, though we will see how that goes in the end…

- Mattia Rizzolo:
  - Code quality and style improvements.
- Maria Glukhova:
  - [Add image metadata comparison.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/06e4ca7)
  - [Zipinfo included in APK files comparison.
    (Closes: #850502)](https://anonscm.debian.org/git/reproducible-builds/diffoscope.git/commit/?id=9749aa9)
  - [Remove archive name from apktool.yml and rename it.
    (Closes: #850501)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b85e785)
- Chris Lamb:
  - [Correctly escape value of href="" elements
    (re. #849411)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/483ec03)
  - [Support comparing .ico files using img2txt
    (Closes: #850730)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f311a6d)
    and fixes and extra tests in subsequent commits.
  - [comparators.utils.file: Include magic file type when we know the file
    format but can't find file-specific details.
    (Closes: #850850)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3131f5e)
  - And other code quality and style improvements.


reproducible-website development
--------------------------------

- Daniel Shahaf:
  - [Add how-to-chair-a-meeting.md.](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/dc36fbb)
- Holger Levsen:
  - [Add links to reports by several attendees of
    berlin2016](https://salsa.debian.org/reproducible-builds/reproducible-website.git/log/?id=d7745a2)


tests.reproducible-builds.org
-----------------------------

- Ximin Luo and Holger Levsen worked on stricter tests to check that `/dev/shm`
  and `/run/shm` are both mounted with the correct permissions. Some of our
  build machines currently still fail this test, and the problem is probably
  the [root cause of the
  FTBFS](https://tests.reproducible-builds.org/debian/issues/unstable/ftbfs_due_to_jenkins_semaphore_setup_issue.html)
  of some packages (which fails with issues regarding `sem_open`).  The proper
  fix is still being discussed in [#851427](https://bugs.debian.org/851427).

- Valerie Young worked on creating and linking
  [autogenerated schema
  documentation](https://tests.reproducible-builds.org/reproducibledb.html) for
  our database used to store the results.

- Holger Levsen added a [graph with diffoscope crashes and
  timeouts](https://tests.reproducible-builds.org/debian/stats_breakages.png).

- Holger also further improved the daily mail notifications about problems.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb and Holger Levsen and reviewed by a
bunch of Reproducible Builds folks on IRC & the mailing lists.
